"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { newObj[key] = obj[key]; } } } newObj.default = obj; return newObj; } } function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }// src/components/databrowser/index.tsx
var _react = require('react'); var React = _interopRequireWildcard(_react); var React2 = _interopRequireWildcard(_react); var React3 = _interopRequireWildcard(_react); var React4 = _interopRequireWildcard(_react); var React5 = _interopRequireWildcard(_react); var React6 = _interopRequireWildcard(_react); var React7 = _interopRequireWildcard(_react); var React8 = _interopRequireWildcard(_react); var React9 = _interopRequireWildcard(_react); var React10 = _interopRequireWildcard(_react); var React11 = _interopRequireWildcard(_react); var React12 = _interopRequireWildcard(_react);

// src/redis-context.tsx


// src/lib/clients.ts
var _reactquery = require('@tanstack/react-query');
var _cloudflare = require('@upstash/redis/cloudflare');

// src/components/ui/use-toast.ts

var TOAST_LIMIT = 1;
var TOAST_REMOVE_DELAY = 1e6;
var count = 0;
function genId() {
  count = (count + 1) % Number.MAX_VALUE;
  return count.toString();
}
var toastTimeouts = /* @__PURE__ */ new Map();
var addToRemoveQueue = (toastId) => {
  if (toastTimeouts.has(toastId)) {
    return;
  }
  const timeout = setTimeout(() => {
    toastTimeouts.delete(toastId);
    dispatch({
      type: "REMOVE_TOAST",
      toastId
    });
  }, TOAST_REMOVE_DELAY);
  toastTimeouts.set(toastId, timeout);
};
var reducer = (state, action) => {
  switch (action.type) {
    case "ADD_TOAST": {
      return {
        ...state,
        toasts: [action.toast, ...state.toasts].slice(0, TOAST_LIMIT)
      };
    }
    case "UPDATE_TOAST": {
      return {
        ...state,
        toasts: state.toasts.map((t) => t.id === action.toast.id ? { ...t, ...action.toast } : t)
      };
    }
    case "DISMISS_TOAST": {
      const { toastId } = action;
      if (toastId) {
        addToRemoveQueue(toastId);
      } else {
        for (const toast2 of state.toasts) {
          addToRemoveQueue(toast2.id);
        }
      }
      return {
        ...state,
        toasts: state.toasts.map(
          (t) => t.id === toastId || toastId === void 0 ? {
            ...t,
            open: false
          } : t
        )
      };
    }
    case "REMOVE_TOAST": {
      if (action.toastId === void 0) {
        return {
          ...state,
          toasts: []
        };
      }
      return {
        ...state,
        toasts: state.toasts.filter((t) => t.id !== action.toastId)
      };
    }
  }
};
var listeners = [];
var memoryState = { toasts: [] };
function dispatch(action) {
  memoryState = reducer(memoryState, action);
  for (const listener of listeners) {
    listener(memoryState);
  }
}
function toast({ ...props }) {
  const id = genId();
  const update = (props2) => dispatch({
    type: "UPDATE_TOAST",
    toast: { ...props2, id }
  });
  const dismiss = () => dispatch({ type: "DISMISS_TOAST", toastId: id });
  dispatch({
    type: "ADD_TOAST",
    toast: {
      ...props,
      id,
      open: true,
      onOpenChange: (open) => {
        if (!open) {
          dismiss();
        }
      }
    }
  });
  return {
    id,
    dismiss,
    update
  };
}
function useToast() {
  const [state, setState] = React.useState(memoryState);
  React.useEffect(() => {
    listeners.push(setState);
    return () => {
      const index = listeners.indexOf(setState);
      if (index !== -1) {
        listeners.splice(index, 1);
      }
    };
  }, []);
  return {
    ...state,
    toast,
    dismiss: (toastId) => dispatch({ type: "DISMISS_TOAST", toastId })
  };
}

// src/lib/clients.ts
var redisClient = ({
  credentials,
  pipelining
}) => {
  const safeProcess = typeof process === "undefined" ? { env: {} } : process;
  const token = _optionalChain([credentials, 'optionalAccess', _2 => _2.token]) || safeProcess.env.NEXT_PUBLIC_UPSTASH_REDIS_REST_TOKEN;
  const url = _optionalChain([credentials, 'optionalAccess', _3 => _3.url]) || safeProcess.env.NEXT_PUBLIC_UPSTASH_REDIS_REST_URL;
  if (!url) {
    throw new Error("Redis URL is missing!");
  }
  if (!token) {
    throw new Error("Redis TOKEN is missing!");
  }
  const redis = new (0, _cloudflare.Redis)({
    url,
    token,
    enableAutoPipelining: pipelining,
    automaticDeserialization: false,
    keepAlive: false
  });
  return redis;
};
var handleError = (error) => {
  let desc = error.message;
  if (error.name === "UpstashError" && error.message.includes("max daily request limit exceeded.")) {
    desc = error.message.split(".").slice(0, 2).join(".");
  }
  toast({
    variant: "destructive",
    title: "Error",
    description: desc
  });
  console.error(error);
};
var queryClient = new (0, _reactquery.QueryClient)({
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: true,
      retry: false
    }
  },
  queryCache: new (0, _reactquery.QueryCache)({
    onError: handleError
  }),
  mutationCache: new (0, _reactquery.MutationCache)({
    onError: handleError
  })
});

// src/redis-context.tsx
var _jsxruntime = require('react/jsx-runtime');
var RedisContext = _react.createContext.call(void 0, void 0);
var RedisProvider = ({
  children,
  redisCredentials
}) => {
  const redisInstance = _react.useMemo.call(void 0, 
    () => redisClient({ credentials: redisCredentials, pipelining: true }),
    [redisCredentials]
  );
  const redisInstanceNoPipeline = _react.useMemo.call(void 0, 
    () => redisClient({ credentials: redisCredentials, pipelining: false }),
    [redisCredentials]
  );
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    RedisContext.Provider,
    {
      value: { redis: redisInstance, redisNoPipeline: redisInstanceNoPipeline },
      children
    }
  );
};
var useRedis = () => {
  const context = _react.useContext.call(void 0, RedisContext);
  if (!context) {
    throw new Error("useRedis must be used within a RedisProvider");
  }
  return context;
};

// src/store.tsx

var _zustand = require('zustand');
var _middleware = require('zustand/middleware');

var DatabrowserContext = _react.createContext.call(void 0, void 0);
var DatabrowserProvider = ({
  children,
  storage
}) => {
  const store = _react.useMemo.call(void 0, () => {
    if (!storage) return _zustand.create.call(void 0, storeCreator);
    return _zustand.create.call(void 0, )(
      _middleware.persist.call(void 0, storeCreator, {
        name: "redis-browser-data",
        storage: {
          getItem: () => {
            const data = storage.get();
            if (!data) return null;
            try {
              return JSON.parse(data);
            } catch (e2) {
              console.error("Error while parsing stored data.");
              return null;
            }
          },
          setItem: (_name, value) => storage.set(JSON.stringify(value)),
          removeItem: () => {
          }
        },
        version: 1,
        // @ts-expect-error Reset the store for < v1
        migrate: (state, version) => {
          if (version === 0) {
            return;
          }
          return state;
        }
      })
    );
  }, []);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DatabrowserContext.Provider, { value: { store }, children });
};
var useDatabrowser = () => {
  const context = _react.useContext.call(void 0, DatabrowserContext);
  if (!context) {
    throw new Error("useDatabrowser must be used within a DatabrowserProvider");
  }
  return context;
};
var useDatabrowserStore = () => {
  const { store } = useDatabrowser();
  return _zustand.useStore.call(void 0, store);
};
var storeCreator = (set, get) => ({
  selectedTab: void 0,
  tabs: [],
  addTab: () => {
    const id = crypto.randomUUID();
    const newTabData = {
      selectedKey: void 0,
      search: { key: "", type: void 0 }
    };
    set((old) => ({
      tabs: [...old.tabs, [id, newTabData]],
      selectedTab: id
    }));
  },
  removeTab: (id) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([tabId]) => tabId === id);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      newTabs.splice(tabIndex, 1);
      let selectedTab = old.selectedTab;
      if (selectedTab === id) {
        const [newId] = _nullishCoalesce(newTabs[tabIndex - 1], () => ( newTabs[tabIndex]));
        selectedTab = newTabs.length > 0 ? newId : void 0;
      }
      return { tabs: newTabs, selectedTab };
    });
  },
  selectTab: (id) => {
    set({ selectedTab: id });
  },
  getSelectedKey: (tabId) => {
    return _optionalChain([get, 'call', _4 => _4(), 'access', _5 => _5.tabs, 'access', _6 => _6.find, 'call', _7 => _7(([id]) => id === tabId), 'optionalAccess', _8 => _8[1], 'optionalAccess', _9 => _9.selectedKey]);
  },
  setSelectedKey: (tabId, key) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([id]) => id === tabId);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      const [, tabData] = newTabs[tabIndex];
      newTabs[tabIndex] = [tabId, { ...tabData, selectedKey: key, selectedListItem: void 0 }];
      return { ...old, tabs: newTabs };
    });
  },
  setSelectedListItem: (tabId, item) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([id]) => id === tabId);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      const [, tabData] = newTabs[tabIndex];
      newTabs[tabIndex] = [tabId, { ...tabData, selectedListItem: item }];
      return { ...old, tabs: newTabs };
    });
  },
  setSearch: (tabId, search) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([id]) => id === tabId);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      const [, tabData] = newTabs[tabIndex];
      newTabs[tabIndex] = [tabId, { ...tabData, search }];
      return { ...old, tabs: newTabs };
    });
  },
  setSearchKey: (tabId, key) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([id]) => id === tabId);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      const [, tabData] = newTabs[tabIndex];
      newTabs[tabIndex] = [
        tabId,
        {
          ...tabData,
          search: { ...tabData.search, key }
        }
      ];
      return { ...old, tabs: newTabs };
    });
  },
  setSearchType: (tabId, type) => {
    set((old) => {
      const tabIndex = old.tabs.findIndex(([id]) => id === tabId);
      if (tabIndex === -1) return old;
      const newTabs = [...old.tabs];
      const [, tabData] = newTabs[tabIndex];
      newTabs[tabIndex] = [
        tabId,
        {
          ...tabData,
          search: { ...tabData.search, type }
        }
      ];
      return { ...old, tabs: newTabs };
    });
  },
  searchHistory: [],
  addSearchHistory: (key) => {
    set((old) => ({ ...old, searchHistory: [key, ...old.searchHistory] }));
  }
});

// src/tab-provider.tsx


var TabIdContext = _react.createContext.call(void 0, void 0);
var TabIdProvider = ({ children, value }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TabIdContext.Provider, { value, children });
};
var useTabId = () => {
  const tabId = _react.useContext.call(void 0, TabIdContext);
  if (!tabId) {
    throw new Error("useTabId must be used within a TabProvider");
  }
  return tabId;
};
var useTab = () => {
  const {
    selectedTab,
    tabs,
    setSelectedKey,
    setSelectedListItem,
    setSearch,
    setSearchKey,
    setSearchType
  } = useDatabrowserStore();
  const tabId = useTabId();
  const tabData = _react.useMemo.call(void 0, () => _optionalChain([tabs, 'access', _10 => _10.find, 'call', _11 => _11(([id]) => id === tabId), 'optionalAccess', _12 => _12[1]]), [tabs, tabId]);
  if (!selectedTab || !tabData) throw new Error("selectedTab is undefined when using useTab()");
  return _react.useMemo.call(void 0, 
    () => ({
      active: selectedTab === tabId,
      selectedKey: tabData.selectedKey,
      selectedListItem: tabData.selectedListItem,
      search: tabData.search,
      setSelectedKey: (key) => setSelectedKey(tabId, key),
      setSelectedListItem: (item) => setSelectedListItem(tabId, item),
      setSearch: (search) => setSearch(tabId, search),
      setSearchKey: (key) => setSearchKey(tabId, key),
      setSearchType: (type) => setSearchType(tabId, type)
    }),
    [selectedTab, tabs, tabId]
  );
};

// src/components/databrowser/index.tsx
var _reacttooltip = require('@radix-ui/react-tooltip'); var TooltipPrimitive = _interopRequireWildcard(_reacttooltip);


// src/components/databrowser/components/databrowser-instance.tsx
var _reactresizablepanels = require('react-resizable-panels');

// node_modules/clsx/dist/clsx.mjs
function r(e) {
  var t, f, n = "";
  if ("string" == typeof e || "number" == typeof e) n += e;
  else if ("object" == typeof e) if (Array.isArray(e)) {
    var o = e.length;
    for (t = 0; t < o; t++) e[t] && (f = r(e[t])) && (n && (n += " "), n += f);
  } else for (f in e) e[f] && (n && (n += " "), n += f);
  return n;
}
function clsx() {
  for (var e, t, f = 0, n = "", o = arguments.length; f < o; f++) (e = arguments[f]) && (t = r(e)) && (n && (n += " "), n += t);
  return n;
}

// node_modules/tailwind-merge/dist/bundle-mjs.mjs
var CLASS_PART_SEPARATOR = "-";
var createClassGroupUtils = (config) => {
  const classMap = createClassMap(config);
  const {
    conflictingClassGroups,
    conflictingClassGroupModifiers
  } = config;
  const getClassGroupId = (className) => {
    const classParts = className.split(CLASS_PART_SEPARATOR);
    if (classParts[0] === "" && classParts.length !== 1) {
      classParts.shift();
    }
    return getGroupRecursive(classParts, classMap) || getGroupIdForArbitraryProperty(className);
  };
  const getConflictingClassGroupIds = (classGroupId, hasPostfixModifier) => {
    const conflicts = conflictingClassGroups[classGroupId] || [];
    if (hasPostfixModifier && conflictingClassGroupModifiers[classGroupId]) {
      return [...conflicts, ...conflictingClassGroupModifiers[classGroupId]];
    }
    return conflicts;
  };
  return {
    getClassGroupId,
    getConflictingClassGroupIds
  };
};
var getGroupRecursive = (classParts, classPartObject) => {
  if (classParts.length === 0) {
    return classPartObject.classGroupId;
  }
  const currentClassPart = classParts[0];
  const nextClassPartObject = classPartObject.nextPart.get(currentClassPart);
  const classGroupFromNextClassPart = nextClassPartObject ? getGroupRecursive(classParts.slice(1), nextClassPartObject) : void 0;
  if (classGroupFromNextClassPart) {
    return classGroupFromNextClassPart;
  }
  if (classPartObject.validators.length === 0) {
    return void 0;
  }
  const classRest = classParts.join(CLASS_PART_SEPARATOR);
  return _optionalChain([classPartObject, 'access', _13 => _13.validators, 'access', _14 => _14.find, 'call', _15 => _15(({
    validator
  }) => validator(classRest)), 'optionalAccess', _16 => _16.classGroupId]);
};
var arbitraryPropertyRegex = /^\[(.+)\]$/;
var getGroupIdForArbitraryProperty = (className) => {
  if (arbitraryPropertyRegex.test(className)) {
    const arbitraryPropertyClassName = arbitraryPropertyRegex.exec(className)[1];
    const property = _optionalChain([arbitraryPropertyClassName, 'optionalAccess', _17 => _17.substring, 'call', _18 => _18(0, arbitraryPropertyClassName.indexOf(":"))]);
    if (property) {
      return "arbitrary.." + property;
    }
  }
};
var createClassMap = (config) => {
  const {
    theme,
    prefix
  } = config;
  const classMap = {
    nextPart: /* @__PURE__ */ new Map(),
    validators: []
  };
  const prefixedClassGroupEntries = getPrefixedClassGroupEntries(Object.entries(config.classGroups), prefix);
  prefixedClassGroupEntries.forEach(([classGroupId, classGroup]) => {
    processClassesRecursively(classGroup, classMap, classGroupId, theme);
  });
  return classMap;
};
var processClassesRecursively = (classGroup, classPartObject, classGroupId, theme) => {
  classGroup.forEach((classDefinition) => {
    if (typeof classDefinition === "string") {
      const classPartObjectToEdit = classDefinition === "" ? classPartObject : getPart(classPartObject, classDefinition);
      classPartObjectToEdit.classGroupId = classGroupId;
      return;
    }
    if (typeof classDefinition === "function") {
      if (isThemeGetter(classDefinition)) {
        processClassesRecursively(classDefinition(theme), classPartObject, classGroupId, theme);
        return;
      }
      classPartObject.validators.push({
        validator: classDefinition,
        classGroupId
      });
      return;
    }
    Object.entries(classDefinition).forEach(([key, classGroup2]) => {
      processClassesRecursively(classGroup2, getPart(classPartObject, key), classGroupId, theme);
    });
  });
};
var getPart = (classPartObject, path) => {
  let currentClassPartObject = classPartObject;
  path.split(CLASS_PART_SEPARATOR).forEach((pathPart) => {
    if (!currentClassPartObject.nextPart.has(pathPart)) {
      currentClassPartObject.nextPart.set(pathPart, {
        nextPart: /* @__PURE__ */ new Map(),
        validators: []
      });
    }
    currentClassPartObject = currentClassPartObject.nextPart.get(pathPart);
  });
  return currentClassPartObject;
};
var isThemeGetter = (func) => func.isThemeGetter;
var getPrefixedClassGroupEntries = (classGroupEntries, prefix) => {
  if (!prefix) {
    return classGroupEntries;
  }
  return classGroupEntries.map(([classGroupId, classGroup]) => {
    const prefixedClassGroup = classGroup.map((classDefinition) => {
      if (typeof classDefinition === "string") {
        return prefix + classDefinition;
      }
      if (typeof classDefinition === "object") {
        return Object.fromEntries(Object.entries(classDefinition).map(([key, value]) => [prefix + key, value]));
      }
      return classDefinition;
    });
    return [classGroupId, prefixedClassGroup];
  });
};
var createLruCache = (maxCacheSize) => {
  if (maxCacheSize < 1) {
    return {
      get: () => void 0,
      set: () => {
      }
    };
  }
  let cacheSize = 0;
  let cache = /* @__PURE__ */ new Map();
  let previousCache = /* @__PURE__ */ new Map();
  const update = (key, value) => {
    cache.set(key, value);
    cacheSize++;
    if (cacheSize > maxCacheSize) {
      cacheSize = 0;
      previousCache = cache;
      cache = /* @__PURE__ */ new Map();
    }
  };
  return {
    get(key) {
      let value = cache.get(key);
      if (value !== void 0) {
        return value;
      }
      if ((value = previousCache.get(key)) !== void 0) {
        update(key, value);
        return value;
      }
    },
    set(key, value) {
      if (cache.has(key)) {
        cache.set(key, value);
      } else {
        update(key, value);
      }
    }
  };
};
var IMPORTANT_MODIFIER = "!";
var createParseClassName = (config) => {
  const {
    separator,
    experimentalParseClassName
  } = config;
  const isSeparatorSingleCharacter = separator.length === 1;
  const firstSeparatorCharacter = separator[0];
  const separatorLength = separator.length;
  const parseClassName = (className) => {
    const modifiers = [];
    let bracketDepth = 0;
    let modifierStart = 0;
    let postfixModifierPosition;
    for (let index = 0; index < className.length; index++) {
      let currentCharacter = className[index];
      if (bracketDepth === 0) {
        if (currentCharacter === firstSeparatorCharacter && (isSeparatorSingleCharacter || className.slice(index, index + separatorLength) === separator)) {
          modifiers.push(className.slice(modifierStart, index));
          modifierStart = index + separatorLength;
          continue;
        }
        if (currentCharacter === "/") {
          postfixModifierPosition = index;
          continue;
        }
      }
      if (currentCharacter === "[") {
        bracketDepth++;
      } else if (currentCharacter === "]") {
        bracketDepth--;
      }
    }
    const baseClassNameWithImportantModifier = modifiers.length === 0 ? className : className.substring(modifierStart);
    const hasImportantModifier = baseClassNameWithImportantModifier.startsWith(IMPORTANT_MODIFIER);
    const baseClassName = hasImportantModifier ? baseClassNameWithImportantModifier.substring(1) : baseClassNameWithImportantModifier;
    const maybePostfixModifierPosition = postfixModifierPosition && postfixModifierPosition > modifierStart ? postfixModifierPosition - modifierStart : void 0;
    return {
      modifiers,
      hasImportantModifier,
      baseClassName,
      maybePostfixModifierPosition
    };
  };
  if (experimentalParseClassName) {
    return (className) => experimentalParseClassName({
      className,
      parseClassName
    });
  }
  return parseClassName;
};
var sortModifiers = (modifiers) => {
  if (modifiers.length <= 1) {
    return modifiers;
  }
  const sortedModifiers = [];
  let unsortedModifiers = [];
  modifiers.forEach((modifier) => {
    const isArbitraryVariant = modifier[0] === "[";
    if (isArbitraryVariant) {
      sortedModifiers.push(...unsortedModifiers.sort(), modifier);
      unsortedModifiers = [];
    } else {
      unsortedModifiers.push(modifier);
    }
  });
  sortedModifiers.push(...unsortedModifiers.sort());
  return sortedModifiers;
};
var createConfigUtils = (config) => ({
  cache: createLruCache(config.cacheSize),
  parseClassName: createParseClassName(config),
  ...createClassGroupUtils(config)
});
var SPLIT_CLASSES_REGEX = /\s+/;
var mergeClassList = (classList, configUtils) => {
  const {
    parseClassName,
    getClassGroupId,
    getConflictingClassGroupIds
  } = configUtils;
  const classGroupsInConflict = [];
  const classNames = classList.trim().split(SPLIT_CLASSES_REGEX);
  let result = "";
  for (let index = classNames.length - 1; index >= 0; index -= 1) {
    const originalClassName = classNames[index];
    const {
      modifiers,
      hasImportantModifier,
      baseClassName,
      maybePostfixModifierPosition
    } = parseClassName(originalClassName);
    let hasPostfixModifier = Boolean(maybePostfixModifierPosition);
    let classGroupId = getClassGroupId(hasPostfixModifier ? baseClassName.substring(0, maybePostfixModifierPosition) : baseClassName);
    if (!classGroupId) {
      if (!hasPostfixModifier) {
        result = originalClassName + (result.length > 0 ? " " + result : result);
        continue;
      }
      classGroupId = getClassGroupId(baseClassName);
      if (!classGroupId) {
        result = originalClassName + (result.length > 0 ? " " + result : result);
        continue;
      }
      hasPostfixModifier = false;
    }
    const variantModifier = sortModifiers(modifiers).join(":");
    const modifierId = hasImportantModifier ? variantModifier + IMPORTANT_MODIFIER : variantModifier;
    const classId = modifierId + classGroupId;
    if (classGroupsInConflict.includes(classId)) {
      continue;
    }
    classGroupsInConflict.push(classId);
    const conflictGroups = getConflictingClassGroupIds(classGroupId, hasPostfixModifier);
    for (let i = 0; i < conflictGroups.length; ++i) {
      const group = conflictGroups[i];
      classGroupsInConflict.push(modifierId + group);
    }
    result = originalClassName + (result.length > 0 ? " " + result : result);
  }
  return result;
};
function twJoin() {
  let index = 0;
  let argument;
  let resolvedValue;
  let string = "";
  while (index < arguments.length) {
    if (argument = arguments[index++]) {
      if (resolvedValue = toValue(argument)) {
        string && (string += " ");
        string += resolvedValue;
      }
    }
  }
  return string;
}
var toValue = (mix) => {
  if (typeof mix === "string") {
    return mix;
  }
  let resolvedValue;
  let string = "";
  for (let k = 0; k < mix.length; k++) {
    if (mix[k]) {
      if (resolvedValue = toValue(mix[k])) {
        string && (string += " ");
        string += resolvedValue;
      }
    }
  }
  return string;
};
function createTailwindMerge(createConfigFirst, ...createConfigRest) {
  let configUtils;
  let cacheGet;
  let cacheSet;
  let functionToCall = initTailwindMerge;
  function initTailwindMerge(classList) {
    const config = createConfigRest.reduce((previousConfig, createConfigCurrent) => createConfigCurrent(previousConfig), createConfigFirst());
    configUtils = createConfigUtils(config);
    cacheGet = configUtils.cache.get;
    cacheSet = configUtils.cache.set;
    functionToCall = tailwindMerge;
    return tailwindMerge(classList);
  }
  function tailwindMerge(classList) {
    const cachedResult = cacheGet(classList);
    if (cachedResult) {
      return cachedResult;
    }
    const result = mergeClassList(classList, configUtils);
    cacheSet(classList, result);
    return result;
  }
  return function callTailwindMerge() {
    return functionToCall(twJoin.apply(null, arguments));
  };
}
var fromTheme = (key) => {
  const themeGetter = (theme) => theme[key] || [];
  themeGetter.isThemeGetter = true;
  return themeGetter;
};
var arbitraryValueRegex = /^\[(?:([a-z-]+):)?(.+)\]$/i;
var fractionRegex = /^\d+\/\d+$/;
var stringLengths = /* @__PURE__ */ new Set(["px", "full", "screen"]);
var tshirtUnitRegex = /^(\d+(\.\d+)?)?(xs|sm|md|lg|xl)$/;
var lengthUnitRegex = /\d+(%|px|r?em|[sdl]?v([hwib]|min|max)|pt|pc|in|cm|mm|cap|ch|ex|r?lh|cq(w|h|i|b|min|max))|\b(calc|min|max|clamp)\(.+\)|^0$/;
var colorFunctionRegex = /^(rgba?|hsla?|hwb|(ok)?(lab|lch))\(.+\)$/;
var shadowRegex = /^(inset_)?-?((\d+)?\.?(\d+)[a-z]+|0)_-?((\d+)?\.?(\d+)[a-z]+|0)/;
var imageRegex = /^(url|image|image-set|cross-fade|element|(repeating-)?(linear|radial|conic)-gradient)\(.+\)$/;
var isLength = (value) => isNumber(value) || stringLengths.has(value) || fractionRegex.test(value);
var isArbitraryLength = (value) => getIsArbitraryValue(value, "length", isLengthOnly);
var isNumber = (value) => Boolean(value) && !Number.isNaN(Number(value));
var isArbitraryNumber = (value) => getIsArbitraryValue(value, "number", isNumber);
var isInteger = (value) => Boolean(value) && Number.isInteger(Number(value));
var isPercent = (value) => value.endsWith("%") && isNumber(value.slice(0, -1));
var isArbitraryValue = (value) => arbitraryValueRegex.test(value);
var isTshirtSize = (value) => tshirtUnitRegex.test(value);
var sizeLabels = /* @__PURE__ */ new Set(["length", "size", "percentage"]);
var isArbitrarySize = (value) => getIsArbitraryValue(value, sizeLabels, isNever);
var isArbitraryPosition = (value) => getIsArbitraryValue(value, "position", isNever);
var imageLabels = /* @__PURE__ */ new Set(["image", "url"]);
var isArbitraryImage = (value) => getIsArbitraryValue(value, imageLabels, isImage);
var isArbitraryShadow = (value) => getIsArbitraryValue(value, "", isShadow);
var isAny = () => true;
var getIsArbitraryValue = (value, label, testValue) => {
  const result = arbitraryValueRegex.exec(value);
  if (result) {
    if (result[1]) {
      return typeof label === "string" ? result[1] === label : label.has(result[1]);
    }
    return testValue(result[2]);
  }
  return false;
};
var isLengthOnly = (value) => (
  // `colorFunctionRegex` check is necessary because color functions can have percentages in them which which would be incorrectly classified as lengths.
  // For example, `hsl(0 0% 0%)` would be classified as a length without this check.
  // I could also use lookbehind assertion in `lengthUnitRegex` but that isn't supported widely enough.
  lengthUnitRegex.test(value) && !colorFunctionRegex.test(value)
);
var isNever = () => false;
var isShadow = (value) => shadowRegex.test(value);
var isImage = (value) => imageRegex.test(value);
var getDefaultConfig = () => {
  const colors = fromTheme("colors");
  const spacing = fromTheme("spacing");
  const blur = fromTheme("blur");
  const brightness = fromTheme("brightness");
  const borderColor = fromTheme("borderColor");
  const borderRadius = fromTheme("borderRadius");
  const borderSpacing = fromTheme("borderSpacing");
  const borderWidth = fromTheme("borderWidth");
  const contrast = fromTheme("contrast");
  const grayscale = fromTheme("grayscale");
  const hueRotate = fromTheme("hueRotate");
  const invert = fromTheme("invert");
  const gap = fromTheme("gap");
  const gradientColorStops = fromTheme("gradientColorStops");
  const gradientColorStopPositions = fromTheme("gradientColorStopPositions");
  const inset = fromTheme("inset");
  const margin = fromTheme("margin");
  const opacity = fromTheme("opacity");
  const padding = fromTheme("padding");
  const saturate = fromTheme("saturate");
  const scale = fromTheme("scale");
  const sepia = fromTheme("sepia");
  const skew = fromTheme("skew");
  const space = fromTheme("space");
  const translate = fromTheme("translate");
  const getOverscroll = () => ["auto", "contain", "none"];
  const getOverflow = () => ["auto", "hidden", "clip", "visible", "scroll"];
  const getSpacingWithAutoAndArbitrary = () => ["auto", isArbitraryValue, spacing];
  const getSpacingWithArbitrary = () => [isArbitraryValue, spacing];
  const getLengthWithEmptyAndArbitrary = () => ["", isLength, isArbitraryLength];
  const getNumberWithAutoAndArbitrary = () => ["auto", isNumber, isArbitraryValue];
  const getPositions = () => ["bottom", "center", "left", "left-bottom", "left-top", "right", "right-bottom", "right-top", "top"];
  const getLineStyles = () => ["solid", "dashed", "dotted", "double", "none"];
  const getBlendModes = () => ["normal", "multiply", "screen", "overlay", "darken", "lighten", "color-dodge", "color-burn", "hard-light", "soft-light", "difference", "exclusion", "hue", "saturation", "color", "luminosity"];
  const getAlign = () => ["start", "end", "center", "between", "around", "evenly", "stretch"];
  const getZeroAndEmpty = () => ["", "0", isArbitraryValue];
  const getBreaks = () => ["auto", "avoid", "all", "avoid-page", "page", "left", "right", "column"];
  const getNumberAndArbitrary = () => [isNumber, isArbitraryValue];
  return {
    cacheSize: 500,
    separator: ":",
    theme: {
      colors: [isAny],
      spacing: [isLength, isArbitraryLength],
      blur: ["none", "", isTshirtSize, isArbitraryValue],
      brightness: getNumberAndArbitrary(),
      borderColor: [colors],
      borderRadius: ["none", "", "full", isTshirtSize, isArbitraryValue],
      borderSpacing: getSpacingWithArbitrary(),
      borderWidth: getLengthWithEmptyAndArbitrary(),
      contrast: getNumberAndArbitrary(),
      grayscale: getZeroAndEmpty(),
      hueRotate: getNumberAndArbitrary(),
      invert: getZeroAndEmpty(),
      gap: getSpacingWithArbitrary(),
      gradientColorStops: [colors],
      gradientColorStopPositions: [isPercent, isArbitraryLength],
      inset: getSpacingWithAutoAndArbitrary(),
      margin: getSpacingWithAutoAndArbitrary(),
      opacity: getNumberAndArbitrary(),
      padding: getSpacingWithArbitrary(),
      saturate: getNumberAndArbitrary(),
      scale: getNumberAndArbitrary(),
      sepia: getZeroAndEmpty(),
      skew: getNumberAndArbitrary(),
      space: getSpacingWithArbitrary(),
      translate: getSpacingWithArbitrary()
    },
    classGroups: {
      // Layout
      /**
       * Aspect Ratio
       * @see https://tailwindcss.com/docs/aspect-ratio
       */
      aspect: [{
        aspect: ["auto", "square", "video", isArbitraryValue]
      }],
      /**
       * Container
       * @see https://tailwindcss.com/docs/container
       */
      container: ["container"],
      /**
       * Columns
       * @see https://tailwindcss.com/docs/columns
       */
      columns: [{
        columns: [isTshirtSize]
      }],
      /**
       * Break After
       * @see https://tailwindcss.com/docs/break-after
       */
      "break-after": [{
        "break-after": getBreaks()
      }],
      /**
       * Break Before
       * @see https://tailwindcss.com/docs/break-before
       */
      "break-before": [{
        "break-before": getBreaks()
      }],
      /**
       * Break Inside
       * @see https://tailwindcss.com/docs/break-inside
       */
      "break-inside": [{
        "break-inside": ["auto", "avoid", "avoid-page", "avoid-column"]
      }],
      /**
       * Box Decoration Break
       * @see https://tailwindcss.com/docs/box-decoration-break
       */
      "box-decoration": [{
        "box-decoration": ["slice", "clone"]
      }],
      /**
       * Box Sizing
       * @see https://tailwindcss.com/docs/box-sizing
       */
      box: [{
        box: ["border", "content"]
      }],
      /**
       * Display
       * @see https://tailwindcss.com/docs/display
       */
      display: ["block", "inline-block", "inline", "flex", "inline-flex", "table", "inline-table", "table-caption", "table-cell", "table-column", "table-column-group", "table-footer-group", "table-header-group", "table-row-group", "table-row", "flow-root", "grid", "inline-grid", "contents", "list-item", "hidden"],
      /**
       * Floats
       * @see https://tailwindcss.com/docs/float
       */
      float: [{
        float: ["right", "left", "none", "start", "end"]
      }],
      /**
       * Clear
       * @see https://tailwindcss.com/docs/clear
       */
      clear: [{
        clear: ["left", "right", "both", "none", "start", "end"]
      }],
      /**
       * Isolation
       * @see https://tailwindcss.com/docs/isolation
       */
      isolation: ["isolate", "isolation-auto"],
      /**
       * Object Fit
       * @see https://tailwindcss.com/docs/object-fit
       */
      "object-fit": [{
        object: ["contain", "cover", "fill", "none", "scale-down"]
      }],
      /**
       * Object Position
       * @see https://tailwindcss.com/docs/object-position
       */
      "object-position": [{
        object: [...getPositions(), isArbitraryValue]
      }],
      /**
       * Overflow
       * @see https://tailwindcss.com/docs/overflow
       */
      overflow: [{
        overflow: getOverflow()
      }],
      /**
       * Overflow X
       * @see https://tailwindcss.com/docs/overflow
       */
      "overflow-x": [{
        "overflow-x": getOverflow()
      }],
      /**
       * Overflow Y
       * @see https://tailwindcss.com/docs/overflow
       */
      "overflow-y": [{
        "overflow-y": getOverflow()
      }],
      /**
       * Overscroll Behavior
       * @see https://tailwindcss.com/docs/overscroll-behavior
       */
      overscroll: [{
        overscroll: getOverscroll()
      }],
      /**
       * Overscroll Behavior X
       * @see https://tailwindcss.com/docs/overscroll-behavior
       */
      "overscroll-x": [{
        "overscroll-x": getOverscroll()
      }],
      /**
       * Overscroll Behavior Y
       * @see https://tailwindcss.com/docs/overscroll-behavior
       */
      "overscroll-y": [{
        "overscroll-y": getOverscroll()
      }],
      /**
       * Position
       * @see https://tailwindcss.com/docs/position
       */
      position: ["static", "fixed", "absolute", "relative", "sticky"],
      /**
       * Top / Right / Bottom / Left
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      inset: [{
        inset: [inset]
      }],
      /**
       * Right / Left
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      "inset-x": [{
        "inset-x": [inset]
      }],
      /**
       * Top / Bottom
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      "inset-y": [{
        "inset-y": [inset]
      }],
      /**
       * Start
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      start: [{
        start: [inset]
      }],
      /**
       * End
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      end: [{
        end: [inset]
      }],
      /**
       * Top
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      top: [{
        top: [inset]
      }],
      /**
       * Right
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      right: [{
        right: [inset]
      }],
      /**
       * Bottom
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      bottom: [{
        bottom: [inset]
      }],
      /**
       * Left
       * @see https://tailwindcss.com/docs/top-right-bottom-left
       */
      left: [{
        left: [inset]
      }],
      /**
       * Visibility
       * @see https://tailwindcss.com/docs/visibility
       */
      visibility: ["visible", "invisible", "collapse"],
      /**
       * Z-Index
       * @see https://tailwindcss.com/docs/z-index
       */
      z: [{
        z: ["auto", isInteger, isArbitraryValue]
      }],
      // Flexbox and Grid
      /**
       * Flex Basis
       * @see https://tailwindcss.com/docs/flex-basis
       */
      basis: [{
        basis: getSpacingWithAutoAndArbitrary()
      }],
      /**
       * Flex Direction
       * @see https://tailwindcss.com/docs/flex-direction
       */
      "flex-direction": [{
        flex: ["row", "row-reverse", "col", "col-reverse"]
      }],
      /**
       * Flex Wrap
       * @see https://tailwindcss.com/docs/flex-wrap
       */
      "flex-wrap": [{
        flex: ["wrap", "wrap-reverse", "nowrap"]
      }],
      /**
       * Flex
       * @see https://tailwindcss.com/docs/flex
       */
      flex: [{
        flex: ["1", "auto", "initial", "none", isArbitraryValue]
      }],
      /**
       * Flex Grow
       * @see https://tailwindcss.com/docs/flex-grow
       */
      grow: [{
        grow: getZeroAndEmpty()
      }],
      /**
       * Flex Shrink
       * @see https://tailwindcss.com/docs/flex-shrink
       */
      shrink: [{
        shrink: getZeroAndEmpty()
      }],
      /**
       * Order
       * @see https://tailwindcss.com/docs/order
       */
      order: [{
        order: ["first", "last", "none", isInteger, isArbitraryValue]
      }],
      /**
       * Grid Template Columns
       * @see https://tailwindcss.com/docs/grid-template-columns
       */
      "grid-cols": [{
        "grid-cols": [isAny]
      }],
      /**
       * Grid Column Start / End
       * @see https://tailwindcss.com/docs/grid-column
       */
      "col-start-end": [{
        col: ["auto", {
          span: ["full", isInteger, isArbitraryValue]
        }, isArbitraryValue]
      }],
      /**
       * Grid Column Start
       * @see https://tailwindcss.com/docs/grid-column
       */
      "col-start": [{
        "col-start": getNumberWithAutoAndArbitrary()
      }],
      /**
       * Grid Column End
       * @see https://tailwindcss.com/docs/grid-column
       */
      "col-end": [{
        "col-end": getNumberWithAutoAndArbitrary()
      }],
      /**
       * Grid Template Rows
       * @see https://tailwindcss.com/docs/grid-template-rows
       */
      "grid-rows": [{
        "grid-rows": [isAny]
      }],
      /**
       * Grid Row Start / End
       * @see https://tailwindcss.com/docs/grid-row
       */
      "row-start-end": [{
        row: ["auto", {
          span: [isInteger, isArbitraryValue]
        }, isArbitraryValue]
      }],
      /**
       * Grid Row Start
       * @see https://tailwindcss.com/docs/grid-row
       */
      "row-start": [{
        "row-start": getNumberWithAutoAndArbitrary()
      }],
      /**
       * Grid Row End
       * @see https://tailwindcss.com/docs/grid-row
       */
      "row-end": [{
        "row-end": getNumberWithAutoAndArbitrary()
      }],
      /**
       * Grid Auto Flow
       * @see https://tailwindcss.com/docs/grid-auto-flow
       */
      "grid-flow": [{
        "grid-flow": ["row", "col", "dense", "row-dense", "col-dense"]
      }],
      /**
       * Grid Auto Columns
       * @see https://tailwindcss.com/docs/grid-auto-columns
       */
      "auto-cols": [{
        "auto-cols": ["auto", "min", "max", "fr", isArbitraryValue]
      }],
      /**
       * Grid Auto Rows
       * @see https://tailwindcss.com/docs/grid-auto-rows
       */
      "auto-rows": [{
        "auto-rows": ["auto", "min", "max", "fr", isArbitraryValue]
      }],
      /**
       * Gap
       * @see https://tailwindcss.com/docs/gap
       */
      gap: [{
        gap: [gap]
      }],
      /**
       * Gap X
       * @see https://tailwindcss.com/docs/gap
       */
      "gap-x": [{
        "gap-x": [gap]
      }],
      /**
       * Gap Y
       * @see https://tailwindcss.com/docs/gap
       */
      "gap-y": [{
        "gap-y": [gap]
      }],
      /**
       * Justify Content
       * @see https://tailwindcss.com/docs/justify-content
       */
      "justify-content": [{
        justify: ["normal", ...getAlign()]
      }],
      /**
       * Justify Items
       * @see https://tailwindcss.com/docs/justify-items
       */
      "justify-items": [{
        "justify-items": ["start", "end", "center", "stretch"]
      }],
      /**
       * Justify Self
       * @see https://tailwindcss.com/docs/justify-self
       */
      "justify-self": [{
        "justify-self": ["auto", "start", "end", "center", "stretch"]
      }],
      /**
       * Align Content
       * @see https://tailwindcss.com/docs/align-content
       */
      "align-content": [{
        content: ["normal", ...getAlign(), "baseline"]
      }],
      /**
       * Align Items
       * @see https://tailwindcss.com/docs/align-items
       */
      "align-items": [{
        items: ["start", "end", "center", "baseline", "stretch"]
      }],
      /**
       * Align Self
       * @see https://tailwindcss.com/docs/align-self
       */
      "align-self": [{
        self: ["auto", "start", "end", "center", "stretch", "baseline"]
      }],
      /**
       * Place Content
       * @see https://tailwindcss.com/docs/place-content
       */
      "place-content": [{
        "place-content": [...getAlign(), "baseline"]
      }],
      /**
       * Place Items
       * @see https://tailwindcss.com/docs/place-items
       */
      "place-items": [{
        "place-items": ["start", "end", "center", "baseline", "stretch"]
      }],
      /**
       * Place Self
       * @see https://tailwindcss.com/docs/place-self
       */
      "place-self": [{
        "place-self": ["auto", "start", "end", "center", "stretch"]
      }],
      // Spacing
      /**
       * Padding
       * @see https://tailwindcss.com/docs/padding
       */
      p: [{
        p: [padding]
      }],
      /**
       * Padding X
       * @see https://tailwindcss.com/docs/padding
       */
      px: [{
        px: [padding]
      }],
      /**
       * Padding Y
       * @see https://tailwindcss.com/docs/padding
       */
      py: [{
        py: [padding]
      }],
      /**
       * Padding Start
       * @see https://tailwindcss.com/docs/padding
       */
      ps: [{
        ps: [padding]
      }],
      /**
       * Padding End
       * @see https://tailwindcss.com/docs/padding
       */
      pe: [{
        pe: [padding]
      }],
      /**
       * Padding Top
       * @see https://tailwindcss.com/docs/padding
       */
      pt: [{
        pt: [padding]
      }],
      /**
       * Padding Right
       * @see https://tailwindcss.com/docs/padding
       */
      pr: [{
        pr: [padding]
      }],
      /**
       * Padding Bottom
       * @see https://tailwindcss.com/docs/padding
       */
      pb: [{
        pb: [padding]
      }],
      /**
       * Padding Left
       * @see https://tailwindcss.com/docs/padding
       */
      pl: [{
        pl: [padding]
      }],
      /**
       * Margin
       * @see https://tailwindcss.com/docs/margin
       */
      m: [{
        m: [margin]
      }],
      /**
       * Margin X
       * @see https://tailwindcss.com/docs/margin
       */
      mx: [{
        mx: [margin]
      }],
      /**
       * Margin Y
       * @see https://tailwindcss.com/docs/margin
       */
      my: [{
        my: [margin]
      }],
      /**
       * Margin Start
       * @see https://tailwindcss.com/docs/margin
       */
      ms: [{
        ms: [margin]
      }],
      /**
       * Margin End
       * @see https://tailwindcss.com/docs/margin
       */
      me: [{
        me: [margin]
      }],
      /**
       * Margin Top
       * @see https://tailwindcss.com/docs/margin
       */
      mt: [{
        mt: [margin]
      }],
      /**
       * Margin Right
       * @see https://tailwindcss.com/docs/margin
       */
      mr: [{
        mr: [margin]
      }],
      /**
       * Margin Bottom
       * @see https://tailwindcss.com/docs/margin
       */
      mb: [{
        mb: [margin]
      }],
      /**
       * Margin Left
       * @see https://tailwindcss.com/docs/margin
       */
      ml: [{
        ml: [margin]
      }],
      /**
       * Space Between X
       * @see https://tailwindcss.com/docs/space
       */
      "space-x": [{
        "space-x": [space]
      }],
      /**
       * Space Between X Reverse
       * @see https://tailwindcss.com/docs/space
       */
      "space-x-reverse": ["space-x-reverse"],
      /**
       * Space Between Y
       * @see https://tailwindcss.com/docs/space
       */
      "space-y": [{
        "space-y": [space]
      }],
      /**
       * Space Between Y Reverse
       * @see https://tailwindcss.com/docs/space
       */
      "space-y-reverse": ["space-y-reverse"],
      // Sizing
      /**
       * Width
       * @see https://tailwindcss.com/docs/width
       */
      w: [{
        w: ["auto", "min", "max", "fit", "svw", "lvw", "dvw", isArbitraryValue, spacing]
      }],
      /**
       * Min-Width
       * @see https://tailwindcss.com/docs/min-width
       */
      "min-w": [{
        "min-w": [isArbitraryValue, spacing, "min", "max", "fit"]
      }],
      /**
       * Max-Width
       * @see https://tailwindcss.com/docs/max-width
       */
      "max-w": [{
        "max-w": [isArbitraryValue, spacing, "none", "full", "min", "max", "fit", "prose", {
          screen: [isTshirtSize]
        }, isTshirtSize]
      }],
      /**
       * Height
       * @see https://tailwindcss.com/docs/height
       */
      h: [{
        h: [isArbitraryValue, spacing, "auto", "min", "max", "fit", "svh", "lvh", "dvh"]
      }],
      /**
       * Min-Height
       * @see https://tailwindcss.com/docs/min-height
       */
      "min-h": [{
        "min-h": [isArbitraryValue, spacing, "min", "max", "fit", "svh", "lvh", "dvh"]
      }],
      /**
       * Max-Height
       * @see https://tailwindcss.com/docs/max-height
       */
      "max-h": [{
        "max-h": [isArbitraryValue, spacing, "min", "max", "fit", "svh", "lvh", "dvh"]
      }],
      /**
       * Size
       * @see https://tailwindcss.com/docs/size
       */
      size: [{
        size: [isArbitraryValue, spacing, "auto", "min", "max", "fit"]
      }],
      // Typography
      /**
       * Font Size
       * @see https://tailwindcss.com/docs/font-size
       */
      "font-size": [{
        text: ["base", isTshirtSize, isArbitraryLength]
      }],
      /**
       * Font Smoothing
       * @see https://tailwindcss.com/docs/font-smoothing
       */
      "font-smoothing": ["antialiased", "subpixel-antialiased"],
      /**
       * Font Style
       * @see https://tailwindcss.com/docs/font-style
       */
      "font-style": ["italic", "not-italic"],
      /**
       * Font Weight
       * @see https://tailwindcss.com/docs/font-weight
       */
      "font-weight": [{
        font: ["thin", "extralight", "light", "normal", "medium", "semibold", "bold", "extrabold", "black", isArbitraryNumber]
      }],
      /**
       * Font Family
       * @see https://tailwindcss.com/docs/font-family
       */
      "font-family": [{
        font: [isAny]
      }],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-normal": ["normal-nums"],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-ordinal": ["ordinal"],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-slashed-zero": ["slashed-zero"],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-figure": ["lining-nums", "oldstyle-nums"],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-spacing": ["proportional-nums", "tabular-nums"],
      /**
       * Font Variant Numeric
       * @see https://tailwindcss.com/docs/font-variant-numeric
       */
      "fvn-fraction": ["diagonal-fractions", "stacked-fractons"],
      /**
       * Letter Spacing
       * @see https://tailwindcss.com/docs/letter-spacing
       */
      tracking: [{
        tracking: ["tighter", "tight", "normal", "wide", "wider", "widest", isArbitraryValue]
      }],
      /**
       * Line Clamp
       * @see https://tailwindcss.com/docs/line-clamp
       */
      "line-clamp": [{
        "line-clamp": ["none", isNumber, isArbitraryNumber]
      }],
      /**
       * Line Height
       * @see https://tailwindcss.com/docs/line-height
       */
      leading: [{
        leading: ["none", "tight", "snug", "normal", "relaxed", "loose", isLength, isArbitraryValue]
      }],
      /**
       * List Style Image
       * @see https://tailwindcss.com/docs/list-style-image
       */
      "list-image": [{
        "list-image": ["none", isArbitraryValue]
      }],
      /**
       * List Style Type
       * @see https://tailwindcss.com/docs/list-style-type
       */
      "list-style-type": [{
        list: ["none", "disc", "decimal", isArbitraryValue]
      }],
      /**
       * List Style Position
       * @see https://tailwindcss.com/docs/list-style-position
       */
      "list-style-position": [{
        list: ["inside", "outside"]
      }],
      /**
       * Placeholder Color
       * @deprecated since Tailwind CSS v3.0.0
       * @see https://tailwindcss.com/docs/placeholder-color
       */
      "placeholder-color": [{
        placeholder: [colors]
      }],
      /**
       * Placeholder Opacity
       * @see https://tailwindcss.com/docs/placeholder-opacity
       */
      "placeholder-opacity": [{
        "placeholder-opacity": [opacity]
      }],
      /**
       * Text Alignment
       * @see https://tailwindcss.com/docs/text-align
       */
      "text-alignment": [{
        text: ["left", "center", "right", "justify", "start", "end"]
      }],
      /**
       * Text Color
       * @see https://tailwindcss.com/docs/text-color
       */
      "text-color": [{
        text: [colors]
      }],
      /**
       * Text Opacity
       * @see https://tailwindcss.com/docs/text-opacity
       */
      "text-opacity": [{
        "text-opacity": [opacity]
      }],
      /**
       * Text Decoration
       * @see https://tailwindcss.com/docs/text-decoration
       */
      "text-decoration": ["underline", "overline", "line-through", "no-underline"],
      /**
       * Text Decoration Style
       * @see https://tailwindcss.com/docs/text-decoration-style
       */
      "text-decoration-style": [{
        decoration: [...getLineStyles(), "wavy"]
      }],
      /**
       * Text Decoration Thickness
       * @see https://tailwindcss.com/docs/text-decoration-thickness
       */
      "text-decoration-thickness": [{
        decoration: ["auto", "from-font", isLength, isArbitraryLength]
      }],
      /**
       * Text Underline Offset
       * @see https://tailwindcss.com/docs/text-underline-offset
       */
      "underline-offset": [{
        "underline-offset": ["auto", isLength, isArbitraryValue]
      }],
      /**
       * Text Decoration Color
       * @see https://tailwindcss.com/docs/text-decoration-color
       */
      "text-decoration-color": [{
        decoration: [colors]
      }],
      /**
       * Text Transform
       * @see https://tailwindcss.com/docs/text-transform
       */
      "text-transform": ["uppercase", "lowercase", "capitalize", "normal-case"],
      /**
       * Text Overflow
       * @see https://tailwindcss.com/docs/text-overflow
       */
      "text-overflow": ["truncate", "text-ellipsis", "text-clip"],
      /**
       * Text Wrap
       * @see https://tailwindcss.com/docs/text-wrap
       */
      "text-wrap": [{
        text: ["wrap", "nowrap", "balance", "pretty"]
      }],
      /**
       * Text Indent
       * @see https://tailwindcss.com/docs/text-indent
       */
      indent: [{
        indent: getSpacingWithArbitrary()
      }],
      /**
       * Vertical Alignment
       * @see https://tailwindcss.com/docs/vertical-align
       */
      "vertical-align": [{
        align: ["baseline", "top", "middle", "bottom", "text-top", "text-bottom", "sub", "super", isArbitraryValue]
      }],
      /**
       * Whitespace
       * @see https://tailwindcss.com/docs/whitespace
       */
      whitespace: [{
        whitespace: ["normal", "nowrap", "pre", "pre-line", "pre-wrap", "break-spaces"]
      }],
      /**
       * Word Break
       * @see https://tailwindcss.com/docs/word-break
       */
      break: [{
        break: ["normal", "words", "all", "keep"]
      }],
      /**
       * Hyphens
       * @see https://tailwindcss.com/docs/hyphens
       */
      hyphens: [{
        hyphens: ["none", "manual", "auto"]
      }],
      /**
       * Content
       * @see https://tailwindcss.com/docs/content
       */
      content: [{
        content: ["none", isArbitraryValue]
      }],
      // Backgrounds
      /**
       * Background Attachment
       * @see https://tailwindcss.com/docs/background-attachment
       */
      "bg-attachment": [{
        bg: ["fixed", "local", "scroll"]
      }],
      /**
       * Background Clip
       * @see https://tailwindcss.com/docs/background-clip
       */
      "bg-clip": [{
        "bg-clip": ["border", "padding", "content", "text"]
      }],
      /**
       * Background Opacity
       * @deprecated since Tailwind CSS v3.0.0
       * @see https://tailwindcss.com/docs/background-opacity
       */
      "bg-opacity": [{
        "bg-opacity": [opacity]
      }],
      /**
       * Background Origin
       * @see https://tailwindcss.com/docs/background-origin
       */
      "bg-origin": [{
        "bg-origin": ["border", "padding", "content"]
      }],
      /**
       * Background Position
       * @see https://tailwindcss.com/docs/background-position
       */
      "bg-position": [{
        bg: [...getPositions(), isArbitraryPosition]
      }],
      /**
       * Background Repeat
       * @see https://tailwindcss.com/docs/background-repeat
       */
      "bg-repeat": [{
        bg: ["no-repeat", {
          repeat: ["", "x", "y", "round", "space"]
        }]
      }],
      /**
       * Background Size
       * @see https://tailwindcss.com/docs/background-size
       */
      "bg-size": [{
        bg: ["auto", "cover", "contain", isArbitrarySize]
      }],
      /**
       * Background Image
       * @see https://tailwindcss.com/docs/background-image
       */
      "bg-image": [{
        bg: ["none", {
          "gradient-to": ["t", "tr", "r", "br", "b", "bl", "l", "tl"]
        }, isArbitraryImage]
      }],
      /**
       * Background Color
       * @see https://tailwindcss.com/docs/background-color
       */
      "bg-color": [{
        bg: [colors]
      }],
      /**
       * Gradient Color Stops From Position
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-from-pos": [{
        from: [gradientColorStopPositions]
      }],
      /**
       * Gradient Color Stops Via Position
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-via-pos": [{
        via: [gradientColorStopPositions]
      }],
      /**
       * Gradient Color Stops To Position
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-to-pos": [{
        to: [gradientColorStopPositions]
      }],
      /**
       * Gradient Color Stops From
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-from": [{
        from: [gradientColorStops]
      }],
      /**
       * Gradient Color Stops Via
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-via": [{
        via: [gradientColorStops]
      }],
      /**
       * Gradient Color Stops To
       * @see https://tailwindcss.com/docs/gradient-color-stops
       */
      "gradient-to": [{
        to: [gradientColorStops]
      }],
      // Borders
      /**
       * Border Radius
       * @see https://tailwindcss.com/docs/border-radius
       */
      rounded: [{
        rounded: [borderRadius]
      }],
      /**
       * Border Radius Start
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-s": [{
        "rounded-s": [borderRadius]
      }],
      /**
       * Border Radius End
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-e": [{
        "rounded-e": [borderRadius]
      }],
      /**
       * Border Radius Top
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-t": [{
        "rounded-t": [borderRadius]
      }],
      /**
       * Border Radius Right
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-r": [{
        "rounded-r": [borderRadius]
      }],
      /**
       * Border Radius Bottom
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-b": [{
        "rounded-b": [borderRadius]
      }],
      /**
       * Border Radius Left
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-l": [{
        "rounded-l": [borderRadius]
      }],
      /**
       * Border Radius Start Start
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-ss": [{
        "rounded-ss": [borderRadius]
      }],
      /**
       * Border Radius Start End
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-se": [{
        "rounded-se": [borderRadius]
      }],
      /**
       * Border Radius End End
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-ee": [{
        "rounded-ee": [borderRadius]
      }],
      /**
       * Border Radius End Start
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-es": [{
        "rounded-es": [borderRadius]
      }],
      /**
       * Border Radius Top Left
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-tl": [{
        "rounded-tl": [borderRadius]
      }],
      /**
       * Border Radius Top Right
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-tr": [{
        "rounded-tr": [borderRadius]
      }],
      /**
       * Border Radius Bottom Right
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-br": [{
        "rounded-br": [borderRadius]
      }],
      /**
       * Border Radius Bottom Left
       * @see https://tailwindcss.com/docs/border-radius
       */
      "rounded-bl": [{
        "rounded-bl": [borderRadius]
      }],
      /**
       * Border Width
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w": [{
        border: [borderWidth]
      }],
      /**
       * Border Width X
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-x": [{
        "border-x": [borderWidth]
      }],
      /**
       * Border Width Y
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-y": [{
        "border-y": [borderWidth]
      }],
      /**
       * Border Width Start
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-s": [{
        "border-s": [borderWidth]
      }],
      /**
       * Border Width End
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-e": [{
        "border-e": [borderWidth]
      }],
      /**
       * Border Width Top
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-t": [{
        "border-t": [borderWidth]
      }],
      /**
       * Border Width Right
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-r": [{
        "border-r": [borderWidth]
      }],
      /**
       * Border Width Bottom
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-b": [{
        "border-b": [borderWidth]
      }],
      /**
       * Border Width Left
       * @see https://tailwindcss.com/docs/border-width
       */
      "border-w-l": [{
        "border-l": [borderWidth]
      }],
      /**
       * Border Opacity
       * @see https://tailwindcss.com/docs/border-opacity
       */
      "border-opacity": [{
        "border-opacity": [opacity]
      }],
      /**
       * Border Style
       * @see https://tailwindcss.com/docs/border-style
       */
      "border-style": [{
        border: [...getLineStyles(), "hidden"]
      }],
      /**
       * Divide Width X
       * @see https://tailwindcss.com/docs/divide-width
       */
      "divide-x": [{
        "divide-x": [borderWidth]
      }],
      /**
       * Divide Width X Reverse
       * @see https://tailwindcss.com/docs/divide-width
       */
      "divide-x-reverse": ["divide-x-reverse"],
      /**
       * Divide Width Y
       * @see https://tailwindcss.com/docs/divide-width
       */
      "divide-y": [{
        "divide-y": [borderWidth]
      }],
      /**
       * Divide Width Y Reverse
       * @see https://tailwindcss.com/docs/divide-width
       */
      "divide-y-reverse": ["divide-y-reverse"],
      /**
       * Divide Opacity
       * @see https://tailwindcss.com/docs/divide-opacity
       */
      "divide-opacity": [{
        "divide-opacity": [opacity]
      }],
      /**
       * Divide Style
       * @see https://tailwindcss.com/docs/divide-style
       */
      "divide-style": [{
        divide: getLineStyles()
      }],
      /**
       * Border Color
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color": [{
        border: [borderColor]
      }],
      /**
       * Border Color X
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-x": [{
        "border-x": [borderColor]
      }],
      /**
       * Border Color Y
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-y": [{
        "border-y": [borderColor]
      }],
      /**
       * Border Color S
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-s": [{
        "border-s": [borderColor]
      }],
      /**
       * Border Color E
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-e": [{
        "border-e": [borderColor]
      }],
      /**
       * Border Color Top
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-t": [{
        "border-t": [borderColor]
      }],
      /**
       * Border Color Right
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-r": [{
        "border-r": [borderColor]
      }],
      /**
       * Border Color Bottom
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-b": [{
        "border-b": [borderColor]
      }],
      /**
       * Border Color Left
       * @see https://tailwindcss.com/docs/border-color
       */
      "border-color-l": [{
        "border-l": [borderColor]
      }],
      /**
       * Divide Color
       * @see https://tailwindcss.com/docs/divide-color
       */
      "divide-color": [{
        divide: [borderColor]
      }],
      /**
       * Outline Style
       * @see https://tailwindcss.com/docs/outline-style
       */
      "outline-style": [{
        outline: ["", ...getLineStyles()]
      }],
      /**
       * Outline Offset
       * @see https://tailwindcss.com/docs/outline-offset
       */
      "outline-offset": [{
        "outline-offset": [isLength, isArbitraryValue]
      }],
      /**
       * Outline Width
       * @see https://tailwindcss.com/docs/outline-width
       */
      "outline-w": [{
        outline: [isLength, isArbitraryLength]
      }],
      /**
       * Outline Color
       * @see https://tailwindcss.com/docs/outline-color
       */
      "outline-color": [{
        outline: [colors]
      }],
      /**
       * Ring Width
       * @see https://tailwindcss.com/docs/ring-width
       */
      "ring-w": [{
        ring: getLengthWithEmptyAndArbitrary()
      }],
      /**
       * Ring Width Inset
       * @see https://tailwindcss.com/docs/ring-width
       */
      "ring-w-inset": ["ring-inset"],
      /**
       * Ring Color
       * @see https://tailwindcss.com/docs/ring-color
       */
      "ring-color": [{
        ring: [colors]
      }],
      /**
       * Ring Opacity
       * @see https://tailwindcss.com/docs/ring-opacity
       */
      "ring-opacity": [{
        "ring-opacity": [opacity]
      }],
      /**
       * Ring Offset Width
       * @see https://tailwindcss.com/docs/ring-offset-width
       */
      "ring-offset-w": [{
        "ring-offset": [isLength, isArbitraryLength]
      }],
      /**
       * Ring Offset Color
       * @see https://tailwindcss.com/docs/ring-offset-color
       */
      "ring-offset-color": [{
        "ring-offset": [colors]
      }],
      // Effects
      /**
       * Box Shadow
       * @see https://tailwindcss.com/docs/box-shadow
       */
      shadow: [{
        shadow: ["", "inner", "none", isTshirtSize, isArbitraryShadow]
      }],
      /**
       * Box Shadow Color
       * @see https://tailwindcss.com/docs/box-shadow-color
       */
      "shadow-color": [{
        shadow: [isAny]
      }],
      /**
       * Opacity
       * @see https://tailwindcss.com/docs/opacity
       */
      opacity: [{
        opacity: [opacity]
      }],
      /**
       * Mix Blend Mode
       * @see https://tailwindcss.com/docs/mix-blend-mode
       */
      "mix-blend": [{
        "mix-blend": [...getBlendModes(), "plus-lighter", "plus-darker"]
      }],
      /**
       * Background Blend Mode
       * @see https://tailwindcss.com/docs/background-blend-mode
       */
      "bg-blend": [{
        "bg-blend": getBlendModes()
      }],
      // Filters
      /**
       * Filter
       * @deprecated since Tailwind CSS v3.0.0
       * @see https://tailwindcss.com/docs/filter
       */
      filter: [{
        filter: ["", "none"]
      }],
      /**
       * Blur
       * @see https://tailwindcss.com/docs/blur
       */
      blur: [{
        blur: [blur]
      }],
      /**
       * Brightness
       * @see https://tailwindcss.com/docs/brightness
       */
      brightness: [{
        brightness: [brightness]
      }],
      /**
       * Contrast
       * @see https://tailwindcss.com/docs/contrast
       */
      contrast: [{
        contrast: [contrast]
      }],
      /**
       * Drop Shadow
       * @see https://tailwindcss.com/docs/drop-shadow
       */
      "drop-shadow": [{
        "drop-shadow": ["", "none", isTshirtSize, isArbitraryValue]
      }],
      /**
       * Grayscale
       * @see https://tailwindcss.com/docs/grayscale
       */
      grayscale: [{
        grayscale: [grayscale]
      }],
      /**
       * Hue Rotate
       * @see https://tailwindcss.com/docs/hue-rotate
       */
      "hue-rotate": [{
        "hue-rotate": [hueRotate]
      }],
      /**
       * Invert
       * @see https://tailwindcss.com/docs/invert
       */
      invert: [{
        invert: [invert]
      }],
      /**
       * Saturate
       * @see https://tailwindcss.com/docs/saturate
       */
      saturate: [{
        saturate: [saturate]
      }],
      /**
       * Sepia
       * @see https://tailwindcss.com/docs/sepia
       */
      sepia: [{
        sepia: [sepia]
      }],
      /**
       * Backdrop Filter
       * @deprecated since Tailwind CSS v3.0.0
       * @see https://tailwindcss.com/docs/backdrop-filter
       */
      "backdrop-filter": [{
        "backdrop-filter": ["", "none"]
      }],
      /**
       * Backdrop Blur
       * @see https://tailwindcss.com/docs/backdrop-blur
       */
      "backdrop-blur": [{
        "backdrop-blur": [blur]
      }],
      /**
       * Backdrop Brightness
       * @see https://tailwindcss.com/docs/backdrop-brightness
       */
      "backdrop-brightness": [{
        "backdrop-brightness": [brightness]
      }],
      /**
       * Backdrop Contrast
       * @see https://tailwindcss.com/docs/backdrop-contrast
       */
      "backdrop-contrast": [{
        "backdrop-contrast": [contrast]
      }],
      /**
       * Backdrop Grayscale
       * @see https://tailwindcss.com/docs/backdrop-grayscale
       */
      "backdrop-grayscale": [{
        "backdrop-grayscale": [grayscale]
      }],
      /**
       * Backdrop Hue Rotate
       * @see https://tailwindcss.com/docs/backdrop-hue-rotate
       */
      "backdrop-hue-rotate": [{
        "backdrop-hue-rotate": [hueRotate]
      }],
      /**
       * Backdrop Invert
       * @see https://tailwindcss.com/docs/backdrop-invert
       */
      "backdrop-invert": [{
        "backdrop-invert": [invert]
      }],
      /**
       * Backdrop Opacity
       * @see https://tailwindcss.com/docs/backdrop-opacity
       */
      "backdrop-opacity": [{
        "backdrop-opacity": [opacity]
      }],
      /**
       * Backdrop Saturate
       * @see https://tailwindcss.com/docs/backdrop-saturate
       */
      "backdrop-saturate": [{
        "backdrop-saturate": [saturate]
      }],
      /**
       * Backdrop Sepia
       * @see https://tailwindcss.com/docs/backdrop-sepia
       */
      "backdrop-sepia": [{
        "backdrop-sepia": [sepia]
      }],
      // Tables
      /**
       * Border Collapse
       * @see https://tailwindcss.com/docs/border-collapse
       */
      "border-collapse": [{
        border: ["collapse", "separate"]
      }],
      /**
       * Border Spacing
       * @see https://tailwindcss.com/docs/border-spacing
       */
      "border-spacing": [{
        "border-spacing": [borderSpacing]
      }],
      /**
       * Border Spacing X
       * @see https://tailwindcss.com/docs/border-spacing
       */
      "border-spacing-x": [{
        "border-spacing-x": [borderSpacing]
      }],
      /**
       * Border Spacing Y
       * @see https://tailwindcss.com/docs/border-spacing
       */
      "border-spacing-y": [{
        "border-spacing-y": [borderSpacing]
      }],
      /**
       * Table Layout
       * @see https://tailwindcss.com/docs/table-layout
       */
      "table-layout": [{
        table: ["auto", "fixed"]
      }],
      /**
       * Caption Side
       * @see https://tailwindcss.com/docs/caption-side
       */
      caption: [{
        caption: ["top", "bottom"]
      }],
      // Transitions and Animation
      /**
       * Tranisition Property
       * @see https://tailwindcss.com/docs/transition-property
       */
      transition: [{
        transition: ["none", "all", "", "colors", "opacity", "shadow", "transform", isArbitraryValue]
      }],
      /**
       * Transition Duration
       * @see https://tailwindcss.com/docs/transition-duration
       */
      duration: [{
        duration: getNumberAndArbitrary()
      }],
      /**
       * Transition Timing Function
       * @see https://tailwindcss.com/docs/transition-timing-function
       */
      ease: [{
        ease: ["linear", "in", "out", "in-out", isArbitraryValue]
      }],
      /**
       * Transition Delay
       * @see https://tailwindcss.com/docs/transition-delay
       */
      delay: [{
        delay: getNumberAndArbitrary()
      }],
      /**
       * Animation
       * @see https://tailwindcss.com/docs/animation
       */
      animate: [{
        animate: ["none", "spin", "ping", "pulse", "bounce", isArbitraryValue]
      }],
      // Transforms
      /**
       * Transform
       * @see https://tailwindcss.com/docs/transform
       */
      transform: [{
        transform: ["", "gpu", "none"]
      }],
      /**
       * Scale
       * @see https://tailwindcss.com/docs/scale
       */
      scale: [{
        scale: [scale]
      }],
      /**
       * Scale X
       * @see https://tailwindcss.com/docs/scale
       */
      "scale-x": [{
        "scale-x": [scale]
      }],
      /**
       * Scale Y
       * @see https://tailwindcss.com/docs/scale
       */
      "scale-y": [{
        "scale-y": [scale]
      }],
      /**
       * Rotate
       * @see https://tailwindcss.com/docs/rotate
       */
      rotate: [{
        rotate: [isInteger, isArbitraryValue]
      }],
      /**
       * Translate X
       * @see https://tailwindcss.com/docs/translate
       */
      "translate-x": [{
        "translate-x": [translate]
      }],
      /**
       * Translate Y
       * @see https://tailwindcss.com/docs/translate
       */
      "translate-y": [{
        "translate-y": [translate]
      }],
      /**
       * Skew X
       * @see https://tailwindcss.com/docs/skew
       */
      "skew-x": [{
        "skew-x": [skew]
      }],
      /**
       * Skew Y
       * @see https://tailwindcss.com/docs/skew
       */
      "skew-y": [{
        "skew-y": [skew]
      }],
      /**
       * Transform Origin
       * @see https://tailwindcss.com/docs/transform-origin
       */
      "transform-origin": [{
        origin: ["center", "top", "top-right", "right", "bottom-right", "bottom", "bottom-left", "left", "top-left", isArbitraryValue]
      }],
      // Interactivity
      /**
       * Accent Color
       * @see https://tailwindcss.com/docs/accent-color
       */
      accent: [{
        accent: ["auto", colors]
      }],
      /**
       * Appearance
       * @see https://tailwindcss.com/docs/appearance
       */
      appearance: [{
        appearance: ["none", "auto"]
      }],
      /**
       * Cursor
       * @see https://tailwindcss.com/docs/cursor
       */
      cursor: [{
        cursor: ["auto", "default", "pointer", "wait", "text", "move", "help", "not-allowed", "none", "context-menu", "progress", "cell", "crosshair", "vertical-text", "alias", "copy", "no-drop", "grab", "grabbing", "all-scroll", "col-resize", "row-resize", "n-resize", "e-resize", "s-resize", "w-resize", "ne-resize", "nw-resize", "se-resize", "sw-resize", "ew-resize", "ns-resize", "nesw-resize", "nwse-resize", "zoom-in", "zoom-out", isArbitraryValue]
      }],
      /**
       * Caret Color
       * @see https://tailwindcss.com/docs/just-in-time-mode#caret-color-utilities
       */
      "caret-color": [{
        caret: [colors]
      }],
      /**
       * Pointer Events
       * @see https://tailwindcss.com/docs/pointer-events
       */
      "pointer-events": [{
        "pointer-events": ["none", "auto"]
      }],
      /**
       * Resize
       * @see https://tailwindcss.com/docs/resize
       */
      resize: [{
        resize: ["none", "y", "x", ""]
      }],
      /**
       * Scroll Behavior
       * @see https://tailwindcss.com/docs/scroll-behavior
       */
      "scroll-behavior": [{
        scroll: ["auto", "smooth"]
      }],
      /**
       * Scroll Margin
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-m": [{
        "scroll-m": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin X
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-mx": [{
        "scroll-mx": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Y
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-my": [{
        "scroll-my": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Start
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-ms": [{
        "scroll-ms": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin End
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-me": [{
        "scroll-me": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Top
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-mt": [{
        "scroll-mt": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Right
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-mr": [{
        "scroll-mr": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Bottom
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-mb": [{
        "scroll-mb": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Margin Left
       * @see https://tailwindcss.com/docs/scroll-margin
       */
      "scroll-ml": [{
        "scroll-ml": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-p": [{
        "scroll-p": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding X
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-px": [{
        "scroll-px": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Y
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-py": [{
        "scroll-py": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Start
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-ps": [{
        "scroll-ps": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding End
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-pe": [{
        "scroll-pe": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Top
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-pt": [{
        "scroll-pt": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Right
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-pr": [{
        "scroll-pr": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Bottom
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-pb": [{
        "scroll-pb": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Padding Left
       * @see https://tailwindcss.com/docs/scroll-padding
       */
      "scroll-pl": [{
        "scroll-pl": getSpacingWithArbitrary()
      }],
      /**
       * Scroll Snap Align
       * @see https://tailwindcss.com/docs/scroll-snap-align
       */
      "snap-align": [{
        snap: ["start", "end", "center", "align-none"]
      }],
      /**
       * Scroll Snap Stop
       * @see https://tailwindcss.com/docs/scroll-snap-stop
       */
      "snap-stop": [{
        snap: ["normal", "always"]
      }],
      /**
       * Scroll Snap Type
       * @see https://tailwindcss.com/docs/scroll-snap-type
       */
      "snap-type": [{
        snap: ["none", "x", "y", "both"]
      }],
      /**
       * Scroll Snap Type Strictness
       * @see https://tailwindcss.com/docs/scroll-snap-type
       */
      "snap-strictness": [{
        snap: ["mandatory", "proximity"]
      }],
      /**
       * Touch Action
       * @see https://tailwindcss.com/docs/touch-action
       */
      touch: [{
        touch: ["auto", "none", "manipulation"]
      }],
      /**
       * Touch Action X
       * @see https://tailwindcss.com/docs/touch-action
       */
      "touch-x": [{
        "touch-pan": ["x", "left", "right"]
      }],
      /**
       * Touch Action Y
       * @see https://tailwindcss.com/docs/touch-action
       */
      "touch-y": [{
        "touch-pan": ["y", "up", "down"]
      }],
      /**
       * Touch Action Pinch Zoom
       * @see https://tailwindcss.com/docs/touch-action
       */
      "touch-pz": ["touch-pinch-zoom"],
      /**
       * User Select
       * @see https://tailwindcss.com/docs/user-select
       */
      select: [{
        select: ["none", "text", "all", "auto"]
      }],
      /**
       * Will Change
       * @see https://tailwindcss.com/docs/will-change
       */
      "will-change": [{
        "will-change": ["auto", "scroll", "contents", "transform", isArbitraryValue]
      }],
      // SVG
      /**
       * Fill
       * @see https://tailwindcss.com/docs/fill
       */
      fill: [{
        fill: [colors, "none"]
      }],
      /**
       * Stroke Width
       * @see https://tailwindcss.com/docs/stroke-width
       */
      "stroke-w": [{
        stroke: [isLength, isArbitraryLength, isArbitraryNumber]
      }],
      /**
       * Stroke
       * @see https://tailwindcss.com/docs/stroke
       */
      stroke: [{
        stroke: [colors, "none"]
      }],
      // Accessibility
      /**
       * Screen Readers
       * @see https://tailwindcss.com/docs/screen-readers
       */
      sr: ["sr-only", "not-sr-only"],
      /**
       * Forced Color Adjust
       * @see https://tailwindcss.com/docs/forced-color-adjust
       */
      "forced-color-adjust": [{
        "forced-color-adjust": ["auto", "none"]
      }]
    },
    conflictingClassGroups: {
      overflow: ["overflow-x", "overflow-y"],
      overscroll: ["overscroll-x", "overscroll-y"],
      inset: ["inset-x", "inset-y", "start", "end", "top", "right", "bottom", "left"],
      "inset-x": ["right", "left"],
      "inset-y": ["top", "bottom"],
      flex: ["basis", "grow", "shrink"],
      gap: ["gap-x", "gap-y"],
      p: ["px", "py", "ps", "pe", "pt", "pr", "pb", "pl"],
      px: ["pr", "pl"],
      py: ["pt", "pb"],
      m: ["mx", "my", "ms", "me", "mt", "mr", "mb", "ml"],
      mx: ["mr", "ml"],
      my: ["mt", "mb"],
      size: ["w", "h"],
      "font-size": ["leading"],
      "fvn-normal": ["fvn-ordinal", "fvn-slashed-zero", "fvn-figure", "fvn-spacing", "fvn-fraction"],
      "fvn-ordinal": ["fvn-normal"],
      "fvn-slashed-zero": ["fvn-normal"],
      "fvn-figure": ["fvn-normal"],
      "fvn-spacing": ["fvn-normal"],
      "fvn-fraction": ["fvn-normal"],
      "line-clamp": ["display", "overflow"],
      rounded: ["rounded-s", "rounded-e", "rounded-t", "rounded-r", "rounded-b", "rounded-l", "rounded-ss", "rounded-se", "rounded-ee", "rounded-es", "rounded-tl", "rounded-tr", "rounded-br", "rounded-bl"],
      "rounded-s": ["rounded-ss", "rounded-es"],
      "rounded-e": ["rounded-se", "rounded-ee"],
      "rounded-t": ["rounded-tl", "rounded-tr"],
      "rounded-r": ["rounded-tr", "rounded-br"],
      "rounded-b": ["rounded-br", "rounded-bl"],
      "rounded-l": ["rounded-tl", "rounded-bl"],
      "border-spacing": ["border-spacing-x", "border-spacing-y"],
      "border-w": ["border-w-s", "border-w-e", "border-w-t", "border-w-r", "border-w-b", "border-w-l"],
      "border-w-x": ["border-w-r", "border-w-l"],
      "border-w-y": ["border-w-t", "border-w-b"],
      "border-color": ["border-color-s", "border-color-e", "border-color-t", "border-color-r", "border-color-b", "border-color-l"],
      "border-color-x": ["border-color-r", "border-color-l"],
      "border-color-y": ["border-color-t", "border-color-b"],
      "scroll-m": ["scroll-mx", "scroll-my", "scroll-ms", "scroll-me", "scroll-mt", "scroll-mr", "scroll-mb", "scroll-ml"],
      "scroll-mx": ["scroll-mr", "scroll-ml"],
      "scroll-my": ["scroll-mt", "scroll-mb"],
      "scroll-p": ["scroll-px", "scroll-py", "scroll-ps", "scroll-pe", "scroll-pt", "scroll-pr", "scroll-pb", "scroll-pl"],
      "scroll-px": ["scroll-pr", "scroll-pl"],
      "scroll-py": ["scroll-pt", "scroll-pb"],
      touch: ["touch-x", "touch-y", "touch-pz"],
      "touch-x": ["touch"],
      "touch-y": ["touch"],
      "touch-pz": ["touch"]
    },
    conflictingClassGroupModifiers: {
      "font-size": ["leading"]
    }
  };
};
var twMerge = /* @__PURE__ */ createTailwindMerge(getDefaultConfig);

// src/lib/utils.ts
function cn(...inputs) {
  return twMerge(clsx(inputs));
}
function formatNumber(value) {
  const intl = new Intl.NumberFormat("en-US");
  return intl.format(value);
}
var units = {
  year: 24 * 60 * 60 * 1e3 * 365,
  month: 24 * 60 * 60 * 1e3 * 365 / 12,
  day: 24 * 60 * 60 * 1e3,
  hour: 60 * 60 * 1e3,
  min: 60 * 1e3,
  second: 1e3
};
function formatTime(seconds) {
  let milliseconds = seconds * 1e3;
  const parts = [];
  for (const [unit, value] of Object.entries(units)) {
    if (milliseconds >= value) {
      const amount = Math.floor(milliseconds / value);
      const plural = amount > 1 ? "s" : "";
      const label = unit === "month" ? ` month${plural}` : unit === "year" ? ` year${plural}` : unit[0];
      parts.push(`${amount}${label}`);
      milliseconds %= value;
    }
  }
  if (parts.length === 0) {
    parts.push("0s");
  }
  return parts.slice(0, 1).join(" ");
}
var isTest = typeof window !== "undefined" && window.__PLAYWRIGHT__ === true;

// src/components/ui/toaster.tsx
var _reactportal = require('@radix-ui/react-portal');

// src/lib/portal-root.ts
var root;
if (typeof document !== "undefined") {
  const id = "react-redis-browser-portal-root";
  root = _nullishCoalesce(document.querySelector(`#${id}`), () => ( document.createElement("div")));
  root.classList.add("ups-db");
  root.id = "react-redis-browser-portal-root";
  document.body.append(root);
}
var portalRoot = root;

// src/components/ui/toast.tsx

var _reacticons = require('@radix-ui/react-icons');
var _reacttoast = require('@radix-ui/react-toast'); var ToastPrimitives = _interopRequireWildcard(_reacttoast);

// node_modules/class-variance-authority/node_modules/clsx/dist/clsx.mjs
function r2(e) {
  var t, f, n = "";
  if ("string" == typeof e || "number" == typeof e) n += e;
  else if ("object" == typeof e) if (Array.isArray(e)) for (t = 0; t < e.length; t++) e[t] && (f = r2(e[t])) && (n && (n += " "), n += f);
  else for (t in e) e[t] && (n && (n += " "), n += t);
  return n;
}
function clsx2() {
  for (var e, t, f = 0, n = ""; f < arguments.length; ) (e = arguments[f++]) && (t = r2(e)) && (n && (n += " "), n += t);
  return n;
}

// node_modules/class-variance-authority/dist/index.mjs
var falsyToString = (value) => typeof value === "boolean" ? "".concat(value) : value === 0 ? "0" : value;
var cx = clsx2;
var cva = (base, config) => {
  return (props) => {
    var ref;
    if ((config === null || config === void 0 ? void 0 : config.variants) == null) return cx(base, props === null || props === void 0 ? void 0 : props.class, props === null || props === void 0 ? void 0 : props.className);
    const { variants, defaultVariants } = config;
    const getVariantClassNames = Object.keys(variants).map((variant) => {
      const variantProp = props === null || props === void 0 ? void 0 : props[variant];
      const defaultVariantProp = defaultVariants === null || defaultVariants === void 0 ? void 0 : defaultVariants[variant];
      if (variantProp === null) return null;
      const variantKey = falsyToString(variantProp) || falsyToString(defaultVariantProp);
      return variants[variant][variantKey];
    });
    const propsWithoutUndefined = props && Object.entries(props).reduce((acc, param) => {
      let [key, value] = param;
      if (value === void 0) {
        return acc;
      }
      acc[key] = value;
      return acc;
    }, {});
    const getCompoundVariantClassNames = config === null || config === void 0 ? void 0 : (ref = config.compoundVariants) === null || ref === void 0 ? void 0 : ref.reduce((acc, param1) => {
      let { class: cvClass, className: cvClassName, ...compoundVariantOptions } = param1;
      return Object.entries(compoundVariantOptions).every((param) => {
        let [key, value] = param;
        return Array.isArray(value) ? value.includes({
          ...defaultVariants,
          ...propsWithoutUndefined
        }[key]) : {
          ...defaultVariants,
          ...propsWithoutUndefined
        }[key] === value;
      }) ? [
        ...acc,
        cvClass,
        cvClassName
      ] : acc;
    }, []);
    return cx(base, getVariantClassNames, getCompoundVariantClassNames, props === null || props === void 0 ? void 0 : props.class, props === null || props === void 0 ? void 0 : props.className);
  };
};

// src/components/ui/toast.tsx

var ToastProvider = ToastPrimitives.Provider;
var ToastViewport = React2.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ToastPrimitives.Viewport,
  {
    ref,
    className: cn(
      "fixed bottom-0 right-0 z-[100] flex max-h-screen w-full flex-col-reverse p-4 sm:flex-col md:max-w-[420px]",
      className
    ),
    ...props
  }
));
ToastViewport.displayName = ToastPrimitives.Viewport.displayName;
var toastVariants = cva(
  "group pointer-events-auto relative flex w-full items-center justify-between space-x-2 overflow-hidden rounded-md border border-zinc-200 p-4 pr-6 shadow-lg transition-all data-[swipe=cancel]:translate-x-0 data-[swipe=end]:translate-x-[var(--radix-toast-swipe-end-x)] data-[swipe=move]:translate-x-[var(--radix-toast-swipe-move-x)] data-[swipe=move]:transition-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[swipe=end]:animate-out data-[state=closed]:fade-out-80 data-[state=closed]:slide-out-to-right-full data-[state=open]:slide-in-from-top-full data-[state=open]:sm:slide-in-from-bottom-full dark:border-zinc-800",
  {
    variants: {
      variant: {
        default: "border bg-white text-zinc-950 dark:bg-zinc-950 dark:text-zinc-50",
        destructive: "destructive group border-red-500 bg-red-500 text-zinc-50 dark:border-red-900 dark:bg-red-900 dark:text-zinc-50"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
var Toast = React2.forwardRef(({ className, variant, ...props }, ref) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    ToastPrimitives.Root,
    {
      ref,
      className: cn(toastVariants({ variant }), className),
      ...props
    }
  );
});
Toast.displayName = ToastPrimitives.Root.displayName;
var ToastAction = React2.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ToastPrimitives.Action,
  {
    ref,
    className: cn(
      "inline-flex h-8 shrink-0 items-center justify-center rounded-md border border-zinc-200 bg-transparent px-3 text-sm font-medium transition-colors hover:bg-zinc-100 focus:outline-none focus:ring-1 focus:ring-zinc-950 disabled:pointer-events-none disabled:opacity-50 group-[.destructive]:border-zinc-100/40 group-[.destructive]:hover:border-red-500/30 group-[.destructive]:hover:bg-red-500 group-[.destructive]:hover:text-zinc-50 group-[.destructive]:focus:ring-red-500 dark:border-neutral-800 dark:hover:bg-neutral-800 dark:focus:ring-neutral-300 dark:group-[.destructive]:border-neutral-800/40 dark:group-[.destructive]:hover:border-red-900/30 dark:group-[.destructive]:hover:bg-red-900 dark:group-[.destructive]:hover:text-neutral-50 dark:group-[.destructive]:focus:ring-red-900",
      className
    ),
    ...props
  }
));
ToastAction.displayName = ToastPrimitives.Action.displayName;
var ToastClose = React2.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ToastPrimitives.Close,
  {
    ref,
    className: cn(
      "absolute right-1 top-1 rounded-md p-1 text-neutral-950/50 opacity-0 transition-opacity hover:text-neutral-950 focus:opacity-100 focus:outline-none focus:ring-1 group-hover:opacity-100 group-[.destructive]:text-red-300 group-[.destructive]:hover:text-red-50 group-[.destructive]:focus:ring-red-400 group-[.destructive]:focus:ring-offset-red-600 dark:text-neutral-50/50 dark:hover:text-neutral-50",
      className
    ),
    "toast-close": "",
    ...props,
    children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.Cross2Icon, { className: "size-4" })
  }
));
ToastClose.displayName = ToastPrimitives.Close.displayName;
var ToastTitle = React2.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ToastPrimitives.Title,
  {
    ref,
    className: cn("text-sm font-semibold [&+div]:text-xs", className),
    ...props
  }
));
ToastTitle.displayName = ToastPrimitives.Title.displayName;
var ToastDescription = React2.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ToastPrimitives.Description,
  {
    ref,
    className: cn("text-sm opacity-90", className),
    ...props
  }
));
ToastDescription.displayName = ToastPrimitives.Description.displayName;

// src/components/ui/toaster.tsx

function Toaster() {
  const { toasts } = useToast();
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactportal.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, ToastProvider, { children: [
    toasts.map(({ id, title, description, action, ...props }) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Toast, { ...props, children: [
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "grid gap-1", children: [
        title && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ToastTitle, { children: title }),
        description && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ToastDescription, { children: description })
      ] }),
      action,
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ToastClose, {})
    ] }, id)),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ToastViewport, {})
  ] }) });
}

// src/components/databrowser/hooks/use-keys.tsx



// src/components/databrowser/hooks/use-fetch-key-type.ts

var FETCH_KEY_TYPE_QUERY_KEY = "fetch-key-type";
var useFetchKeyType = (key) => {
  const { redis } = useRedis();
  return _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_KEY_TYPE_QUERY_KEY, key],
    queryFn: async () => {
      if (!key) return "none";
      return await redis.type(key);
    }
  });
};

// src/components/databrowser/hooks/use-keys.tsx

var KeysContext = _react.createContext.call(void 0, void 0);
var FETCH_KEYS_QUERY_KEY = "use-fetch-keys";
var SCAN_COUNTS = [100, 300, 500];
var KeysProvider = ({ children }) => {
  const { active, search } = useTab();
  const { redisNoPipeline: redis } = useRedis();
  const performScan = async (count2, cursor) => {
    const args = [cursor];
    if (search.key) {
      args.push("MATCH", search.key);
    }
    if (search.type) {
      args.push("TYPE", search.type);
    }
    args.push("COUNT", count2.toString());
    if (!search.type) args.push("WITHTYPE");
    return await redis.exec(["SCAN", ...args]);
  };
  const scanUntilAvailable = async (cursor) => {
    let i = 0;
    while (true) {
      const [newCursor, values] = await performScan(_nullishCoalesce(SCAN_COUNTS[i], () => ( SCAN_COUNTS.at(-1))), cursor);
      cursor = newCursor;
      i++;
      if (values.length > 0 || cursor === "0") {
        return [cursor, values];
      }
    }
  };
  const query = _reactquery.useInfiniteQuery.call(void 0, {
    queryKey: [FETCH_KEYS_QUERY_KEY, search],
    // Only fetch when tab is active
    enabled: active,
    initialPageParam: "0",
    queryFn: async ({ pageParam: lastCursor }) => {
      const [cursor, values] = await scanUntilAvailable(lastCursor);
      const keys2 = [];
      let index = 0;
      while (true) {
        if (search.type) {
          if (index >= values.length) break;
          keys2.push([values[index], search.type]);
          index += 1;
        } else {
          if (index + 1 >= values.length) break;
          keys2.push([values[index], values[index + 1]]);
          index += 2;
        }
      }
      for (const [key, type] of keys2) {
        queryClient.setQueryData([FETCH_KEY_TYPE_QUERY_KEY, key], type);
      }
      return {
        cursor: cursor === "0" ? void 0 : cursor,
        keys: keys2,
        hasNextPage: cursor !== "0"
      };
    },
    select: (data) => data,
    getNextPageParam: ({ cursor }) => cursor,
    refetchOnMount: false
  });
  const keys = _react.useMemo.call(void 0, () => {
    const keys2 = _nullishCoalesce(_optionalChain([query, 'access', _19 => _19.data, 'optionalAccess', _20 => _20.pages, 'access', _21 => _21.flatMap, 'call', _22 => _22((page) => page.keys)]), () => ( []));
    const keysSet = /* @__PURE__ */ new Set();
    const dedupedKeys = [];
    for (const key of keys2) {
      if (keysSet.has(key[0])) continue;
      keysSet.add(key[0]);
      dedupedKeys.push(key);
    }
    return dedupedKeys;
  }, [query.data]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    KeysContext.Provider,
    {
      value: {
        keys,
        query
      },
      children
    }
  );
};
var useKeys = () => {
  const context = _react.useContext.call(void 0, KeysContext);
  if (!context) {
    throw new Error("useKeys must be used within a KeysProvider");
  }
  return context;
};
var useKeyType = (key) => {
  const { keys } = useKeys();
  const keyTuple = _react.useMemo.call(void 0, () => keys.find(([k, _]) => k === key), [keys, key]);
  return _optionalChain([keyTuple, 'optionalAccess', _23 => _23[1]]);
};

// src/components/databrowser/components/display/display-list.tsx

var _iconsreact = require('@tabler/icons-react');

// src/components/ui/button.tsx

var _reactslot = require('@radix-ui/react-slot');

var buttonVariants = cva(
  "inline-flex items-center justify-center rounded-md text-sm ring-offset-white transition-colors focus-visible:outline-none focus-visible:ring-0 focus-visible:ring-zinc-950 focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 dark:ring-offset-zinc-950 dark:focus-visible:ring-zinc-300",
  {
    variants: {
      variant: {
        default: "bg-white text-black border shadow-sm border-zinc-300 hover:bg-[#FFFFFF]/70 dark:bg-black dark:text-[#FFFFFF] dark:hover:bg-black/10",
        destructive: "bg-red-500 text-zinc-50 hover:bg-red-500/90 dark:bg-red-900 dark:text-zinc-50 dark:hover:bg-red-900/90",
        outline: "border border-zinc-200 bg-white hover:bg-zinc-100 hover:text-zinc-900 dark:border-zinc-800 dark:bg-zinc-950 dark:hover:bg-zinc-800 dark:hover:text-neutral-50",
        primary: "bg-emerald-500 text-white shadow-sm hover:bg-emerald-600 dark:bg-emerald-500 dark:text-white dark:hover:bg-emerald-600",
        secondary: "bg-neutral-100 text-neutral-900 hover:bg-neutral-100/80 dark:bg-neutral-800 dark:text-neutral-50 dark:hover:bg-neutral-800/80",
        ghost: "hover:bg-[#0000000A] dark:hover:bg-neutral-800 dark:hover:text-neutral-50",
        link: "text-neutral-900 underline-offset-4 hover:underline dark:text-neutral-50"
      },
      size: {
        default: "h-8 px-4 py-2",
        sm: "px-2 h-7 rounded-md",
        lg: "h-10 px-8 rounded-md",
        icon: "h-8 w-8",
        "icon-sm": "h-7 w-7",
        "icon-xs": "h-5 w-5"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "sm"
    }
  }
);
var Button = React3.forwardRef(
  ({ className, variant, size, asChild = false, ...props }, ref) => {
    const Comp = asChild ? _reactslot.Slot : "button";
    return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Comp, { className: cn(buttonVariants({ variant, size, className })), ref, ...props });
  }
);
Button.displayName = "Button";

// src/components/databrowser/hooks/use-add-key.ts


// src/components/databrowser/components/sidebar/db-size.tsx


// src/components/ui/skeleton.tsx

function Skeleton({ className, ...props }) {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "div",
    {
      className: cn("animate-pulse rounded-md bg-zinc-900/10 dark:bg-zinc-50/10", className),
      ...props
    }
  );
}

// src/components/databrowser/components/sidebar/db-size.tsx

var FETCH_DB_SIZE_QUERY_KEY = "fetch-db-size";
var DisplayDbSize = () => {
  const { redis } = useRedis();
  const { data: keyCount } = _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_DB_SIZE_QUERY_KEY],
    queryFn: async () => {
      return await redis.dbsize();
    }
  });
  if (keyCount === void 0) {
    return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex items-center justify-center gap-1", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "h-5 w-10 rounded" }) });
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "", children: [
    formatNumber(keyCount),
    " Keys"
  ] });
};

// src/components/databrowser/hooks/use-add-key.ts
var useAddKey = () => {
  const { redis } = useRedis();
  const mutation = _reactquery.useMutation.call(void 0, {
    mutationFn: async ({ key, type }) => {
      if (await redis.exists(key)) throw new Error(`Key "${key}" already exists`);
      switch (type) {
        case "set": {
          await redis.sadd(key, "value");
          break;
        }
        case "zset": {
          await redis.zadd(key, {
            member: "value",
            score: 0
          });
          break;
        }
        case "hash": {
          await redis.hset(key, {
            field: "field",
            value: "value"
          });
          break;
        }
        case "list": {
          await redis.lpush(key, "value");
          break;
        }
        case "stream": {
          await redis.xadd(key, "*", {
            foo: "bar"
          });
          break;
        }
        case "string": {
          await redis.set(key, "value");
          break;
        }
        case "json": {
          await redis.json.set(key, "$", {
            foo: "bar"
          });
          break;
        }
        default: {
          throw new Error(`Invalid type provided to useAddKey: "${type}"`);
        }
      }
    },
    onSuccess: (_, { key, type }) => {
      queryClient.invalidateQueries({
        queryKey: [FETCH_DB_SIZE_QUERY_KEY]
      });
      queryClient.setQueriesData(
        {
          queryKey: [FETCH_KEYS_QUERY_KEY]
        },
        (data) => {
          if (!data) return;
          return {
            ...data,
            pages: data.pages.map(
              (page, i) => i === 0 ? { ...page, keys: [[key, type], ...page.keys] } : page
            )
          };
        }
      );
    }
  });
  return mutation;
};

// src/components/databrowser/hooks/use-debounce.ts


// src/components/databrowser/hooks/use-delete-key.ts


// src/components/databrowser/hooks/use-delete-key-cache.ts


// src/components/databrowser/hooks/use-fetch-list-items.tsx

var LIST_DISPLAY_PAGE_SIZE = 50;
var FETCH_LIST_ITEMS_QUERY_KEY = "use-fetch-list-items";
var useFetchListItems = ({ dataKey, type }) => {
  const { redisNoPipeline: redis } = useRedis();
  const setQuery = _reactquery.useInfiniteQuery.call(void 0, {
    enabled: type === "set",
    queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey, "set"],
    initialPageParam: "0",
    queryFn: async ({ pageParam: cursor }) => {
      const [nextCursor, keys] = await redis.sscan(dataKey, cursor, {
        count: LIST_DISPLAY_PAGE_SIZE
      });
      return {
        cursor: nextCursor === "0" ? void 0 : nextCursor,
        keys: keys.map((key) => ({ key }))
      };
    },
    getNextPageParam: ({ cursor }) => cursor
  });
  const zsetQuery = _reactquery.useInfiniteQuery.call(void 0, {
    enabled: type === "zset",
    queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey, "zset"],
    initialPageParam: 0,
    queryFn: async ({ pageParam: page }) => {
      const start = page * LIST_DISPLAY_PAGE_SIZE;
      const end = start + LIST_DISPLAY_PAGE_SIZE - 1;
      const res = await redis.zrange(dataKey, start, end, {
        withScores: true,
        rev: true
      });
      return {
        cursor: res.length < LIST_DISPLAY_PAGE_SIZE ? void 0 : page + 1,
        keys: transformArray(res)
      };
    },
    getNextPageParam: ({ cursor }) => cursor
  });
  const hashQuery = _reactquery.useInfiniteQuery.call(void 0, {
    enabled: type === "hash",
    queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey, "hash"],
    initialPageParam: "0",
    queryFn: async ({ pageParam: cursor }) => {
      const res = await redis.hscan(dataKey, cursor, {
        count: LIST_DISPLAY_PAGE_SIZE
      });
      return {
        cursor: res[0] === "0" ? void 0 : res[0],
        keys: transformArray(res[1])
      };
    },
    getNextPageParam: ({ cursor }) => cursor
  });
  const listQuery = _reactquery.useInfiniteQuery.call(void 0, {
    enabled: type === "list",
    queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey, "list"],
    initialPageParam: 0,
    queryFn: async ({ pageParam: page }) => {
      const start = page * LIST_DISPLAY_PAGE_SIZE;
      const end = start + LIST_DISPLAY_PAGE_SIZE - 1;
      const values = await redis.lrange(dataKey, start, end);
      return {
        cursor: values.length < LIST_DISPLAY_PAGE_SIZE ? void 0 : page + 1,
        keys: values.map((value, i) => ({
          key: (start + i).toString(),
          value
        }))
      };
    },
    getNextPageParam: ({ cursor }) => cursor
  });
  const streamQuery = _reactquery.useInfiniteQuery.call(void 0, {
    enabled: type === "stream",
    queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey, "stream"],
    initialPageParam: "-",
    queryFn: async ({ pageParam: lastId }) => {
      const messages = await redis.xrange(
        dataKey,
        lastId === "-" ? "-" : `(${lastId}`,
        "+",
        // +1 since first message is the last one
        LIST_DISPLAY_PAGE_SIZE + 1
      );
      const lastMessageId = messages.length > 0 ? _optionalChain([messages, 'access', _24 => _24.at, 'call', _25 => _25(-1), 'optionalAccess', _26 => _26[0]]) : void 0;
      return {
        cursor: messages.length < LIST_DISPLAY_PAGE_SIZE ? void 0 : lastMessageId,
        keys: messages.map(([id, fields]) => ({
          key: id,
          value: fields.join("\n")
        }))
      };
    },
    getNextPageParam: ({ cursor }) => cursor
  });
  const map = {
    set: setQuery,
    zset: zsetQuery,
    hash: hashQuery,
    list: listQuery,
    stream: streamQuery
  };
  return map[type];
};
function transformArray(inputArray) {
  if (inputArray.length % 2 !== 0) {
    throw new Error("The input array length must be even.");
  }
  return inputArray.reduce((acc, curr, idx, src) => {
    if (idx % 2 === 0) {
      acc.push({ key: String(curr), value: String(src[idx + 1]) });
    }
    return acc;
  }, []);
}

// src/components/databrowser/hooks/use-fetch-simple-key.tsx

var FETCH_SIMPLE_KEY_QUERY_KEY = "fetch-simple-key";
var useFetchSimpleKey = (dataKey, type) => {
  const { redisNoPipeline: redis } = useRedis();
  const { deleteKeyCache } = useDeleteKeyCache();
  return _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY, dataKey],
    queryFn: async () => {
      let result;
      if (type === "string") result = await redis.get(dataKey);
      else if (type === "json") result = await redis.json.get(dataKey);
      else throw new Error(`Invalid type when fetching simple key: ${type}`);
      if (type === "json" && result !== null)
        result = JSON.stringify(sortObject(JSON.parse(result)));
      if (result === null) deleteKeyCache(dataKey);
      return result;
    }
  });
};
var sortObject = (obj) => {
  if (typeof obj !== "object" || obj === null) return obj;
  return Object.fromEntries(
    Object.entries(obj).sort((a, b) => a[0].localeCompare(b[0])).map(
      ([key, value]) => typeof value === "object" && !Array.isArray(value) && value !== null ? [key, sortObject(value)] : [key, value]
    )
  );
};

// src/components/databrowser/hooks/use-delete-key-cache.ts
var useDeleteKeyCache = () => {
  const { setSelectedKey } = useTab();
  const deleteKeyCache = _react.useCallback.call(void 0, 
    (key) => {
      setSelectedKey(void 0);
      queryClient.invalidateQueries({
        queryKey: [FETCH_KEYS_QUERY_KEY]
      });
      queryClient.invalidateQueries({
        queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY, key]
      });
      queryClient.invalidateQueries({
        queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, key]
      });
      queryClient.invalidateQueries({
        queryKey: [FETCH_KEY_TYPE_QUERY_KEY, key]
      });
    },
    [setSelectedKey]
  );
  return { deleteKeyCache };
};

// src/components/databrowser/hooks/use-delete-key.ts
var useDeleteKey = () => {
  const { redis } = useRedis();
  const { deleteKeyCache } = useDeleteKeyCache();
  const deleteKey = _reactquery.useMutation.call(void 0, {
    mutationFn: async (key) => {
      return Boolean(await redis.del(key));
    },
    onSuccess: (_, key) => {
      deleteKeyCache(key);
      queryClient.invalidateQueries({
        queryKey: [FETCH_DB_SIZE_QUERY_KEY]
      });
    }
  });
  return deleteKey;
};

// src/components/databrowser/hooks/use-edit-list-item.tsx

var useEditListItem = () => {
  const { redis } = useRedis();
  return _reactquery.useMutation.call(void 0, {
    mutationFn: async ({
      type,
      dataKey,
      itemKey,
      newKey,
      newValue,
      isNew
    }) => {
      const pipe = redis.pipeline();
      const shouldDelete = !isNew && (newKey === void 0 || newKey !== itemKey);
      switch (type) {
        case "set": {
          if (shouldDelete) {
            pipe.srem(dataKey, itemKey);
          }
          if (newKey) {
            pipe.sadd(dataKey, newKey);
          }
          break;
        }
        case "zset": {
          if (Number.isNaN(Number(newValue)) && newKey !== void 0) {
            throw new TypeError("Value must be a number for zset data type");
          }
          if (shouldDelete) pipe.zrem(dataKey, itemKey);
          if (newKey)
            pipe.zadd(dataKey, {
              member: newKey,
              score: Number(newValue)
            });
          break;
        }
        case "hash": {
          if (shouldDelete) pipe.hdel(dataKey, itemKey);
          if (newKey)
            pipe.hset(dataKey, {
              [newKey]: newValue
            });
          break;
        }
        case "list": {
          if (isNew) {
            pipe.lpush(dataKey, newValue);
          } else if (newKey === void 0) {
            const uniqueKey = `__DELETED_${Date.now()}-${Math.random().toString(36).slice(7)}`;
            pipe.lset(dataKey, Number(itemKey), uniqueKey);
            pipe.lrem(dataKey, 0, uniqueKey);
          } else {
            if (Number.isNaN(Number(itemKey)))
              throw new TypeError("Index must be a number for list data type");
            pipe.lset(dataKey, Number(itemKey), newValue);
          }
          break;
        }
        case "stream": {
          if (!isNew || !newKey) throw new Error("Stream data type is not mutable");
          const opts = transformArray(_nullishCoalesce(_optionalChain([newValue, 'optionalAccess', _27 => _27.split, 'call', _28 => _28("\n")]), () => ( []))).map(
            ({ key, value }) => [key, value]
          );
          pipe.xadd(dataKey, newKey, Object.fromEntries(opts));
          break;
        }
        default: {
          throw new Error(`Unsupported data type for editing: ${type}`);
        }
      }
      await pipe.exec();
    },
    onSuccess: (_, { dataKey }) => {
      queryClient.invalidateQueries({
        queryKey: [FETCH_LIST_ITEMS_QUERY_KEY, dataKey]
      });
    }
  });
};

// src/components/databrowser/hooks/use-fetch-ttl.ts



// src/components/databrowser/components/display/ttl-badge.tsx



// src/components/databrowser/components/display/header-badges.tsx
var _bytes = require('bytes'); var _bytes2 = _interopRequireDefault(_bytes);

// src/components/databrowser/hooks/use-fetch-key-length.ts

var FETCH_KEY_LENGTH_QUERY_KEY = "fetch-key-length";
var useFetchKeyLength = ({ dataKey, type }) => {
  const { redis } = useRedis();
  return _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_KEY_LENGTH_QUERY_KEY, dataKey],
    queryFn: async () => {
      switch (type) {
        case "set": {
          return await redis.scard(dataKey);
        }
        case "zset": {
          return await redis.zcard(dataKey);
        }
        case "list": {
          return await redis.llen(dataKey);
        }
        case "hash": {
          return await redis.hlen(dataKey);
        }
        case "stream": {
          return await redis.xlen(dataKey);
        }
      }
      return null;
    }
  });
};

// src/components/databrowser/hooks/use-fetch-key-size.ts

var FETCH_KEY_SIZE_QUERY_KEY = "fetch-key-size";
var useFetchKeySize = (dataKey) => {
  const { redis } = useRedis();
  return _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_KEY_SIZE_QUERY_KEY, dataKey],
    queryFn: async () => {
      return await redis.eval(`return redis.call("MEMORY", "USAGE", KEYS[1])`, [dataKey], []);
    }
  });
};

// src/components/databrowser/components/display/header-badges.tsx

var LengthBadge = ({
  dataKey,
  type,
  content
}) => {
  const { data, isLoading } = useFetchKeyLength({ dataKey, type });
  const length = _nullishCoalesce(_optionalChain([content, 'optionalAccess', _29 => _29.length]), () => ( data));
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Badge, { label: "Length:", children: isLoading ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "ml-1 h-3 w-10 rounded-md opacity-50" }) : length });
};
var SizeBadge = ({ dataKey }) => {
  const { data: size } = useFetchKeySize(dataKey);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Badge, { label: "Size:", children: size === void 0 || size === null ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "ml-1 h-3 w-10 rounded-md opacity-50" }) : _bytes2.default.call(void 0, size, {
    unitSeparator: " "
  }) });
};
var HeaderTTLBadge = ({ dataKey }) => {
  const { data: expireAt } = useFetchTTL(dataKey);
  const { mutate: setTTL, isPending } = useSetTTL();
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    TTLBadge,
    {
      expireAt,
      setTTL: (ttl) => setTTL({ dataKey, ttl }),
      isPending
    }
  );
};
var Badge = ({ children, label }) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-6 items-center gap-0.5 rounded-md bg-white px-2 text-xs text-zinc-700", children: [
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "text-zinc-500", children: label }),
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "font-medium", children })
] });

// src/components/databrowser/components/display/ttl-popover.tsx

var _reacthookform = require('react-hook-form');

// src/components/ui/input.tsx


var Input = React4.forwardRef(
  ({ className, type, ...props }, ref) => {
    return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      "input",
      {
        type,
        className: cn(
          "flex h-8 w-full rounded-md border border-zinc-200 bg-white px-3 py-2 text-sm ring-offset-white file:border-0 file:bg-transparent file:text-sm file:font-medium focus-visible:outline-none focus-visible:ring-zinc-950 disabled:cursor-not-allowed disabled:opacity-50",
          className
        ),
        ref,
        ...props
      }
    );
  }
);
Input.displayName = "Input";

// src/components/ui/popover.tsx

var _reactpopover = require('@radix-ui/react-popover'); var PopoverPrimitive = _interopRequireWildcard(_reactpopover);

var Popover = PopoverPrimitive.Root;
var PopoverTrigger = PopoverPrimitive.Trigger;
var PopoverContent = React5.forwardRef(({ className, align = "center", sideOffset = 4, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, PopoverPrimitive.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  PopoverPrimitive.Content,
  {
    ref,
    align,
    sideOffset,
    className: cn(
      "data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 z-50 w-72 rounded-md border border-zinc-200 bg-white p-4 text-zinc-950 shadow-md outline-none dark:border-zinc-800 mt-0.5 dark:bg-zinc-950 dark:text-zinc-50",
      className
    ),
    ...props
  }
) }));
PopoverContent.displayName = PopoverPrimitive.Content.displayName;

// src/components/ui/select.tsx

var _reactselect = require('@radix-ui/react-select'); var SelectPrimitive = _interopRequireWildcard(_reactselect);

var Select = SelectPrimitive.Root;
var SelectGroup = SelectPrimitive.Group;
var SelectValue = SelectPrimitive.Value;
var SelectTrigger = React6.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  SelectPrimitive.Trigger,
  {
    ref,
    className: cn(
      "relative flex h-8 w-full items-center justify-between rounded-md border border-zinc-200 bg-white px-3 py-2 text-sm ring-offset-white placeholder:text-zinc-500 focus:ring-zinc-950 disabled:cursor-not-allowed disabled:opacity-50 dark:border-zinc-800 dark:bg-zinc-950 dark:ring-offset-zinc-950 dark:placeholder:text-zinc-400 dark:focus:ring-zinc-300",
      className
    ),
    ...props,
    children: [
      children,
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectPrimitive.Icon, { asChild: true, className: "absolute right-2", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        "svg",
        {
          width: "16",
          height: "16",
          viewBox: "0 0 16 16",
          fill: "none",
          xmlns: "http://www.w3.org/2000/svg",
          children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            "path",
            {
              d: "M4 6L8 10L12 6",
              stroke: "black",
              strokeOpacity: "0.4",
              strokeWidth: "1.4",
              strokeLinecap: "round",
              strokeLinejoin: "round"
            }
          )
        }
      ) })
    ]
  }
));
SelectTrigger.displayName = SelectPrimitive.Trigger.displayName;
var SelectContent = React6.forwardRef(({ className, children, position = "popper", ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectPrimitive.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  SelectPrimitive.Content,
  {
    ref,
    className: cn(
      "relative z-50 min-w-[8rem] overflow-hidden rounded-md border border-zinc-200 bg-white text-zinc-950 shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:border-zinc-800 dark:bg-zinc-950 dark:text-neutral-50",
      position === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      className
    ),
    position,
    ...props,
    children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      SelectPrimitive.Viewport,
      {
        className: cn(
          "p-1",
          position === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
        ),
        children
      }
    )
  }
) }));
SelectContent.displayName = SelectPrimitive.Content.displayName;
var SelectLabel = React6.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  SelectPrimitive.Label,
  {
    ref,
    className: cn("px-2 py-1.5 text-sm font-semibold", className),
    ...props
  }
));
SelectLabel.displayName = SelectPrimitive.Label.displayName;
var SelectItem = React6.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  SelectPrimitive.Item,
  {
    ref,
    className: cn(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-2 pr-8 text-sm outline-none focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      className
    ),
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute right-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        "svg",
        {
          width: "15",
          height: "15",
          viewBox: "0 0 15 15",
          fill: "none",
          xmlns: "http://www.w3.org/2000/svg",
          className: "h-4 w-4",
          children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            "path",
            {
              d: "M11.4669 3.72684C11.7558 3.91574 11.8369 4.30308 11.648 4.59198L7.39799 11.092C7.29783 11.2452 7.13556 11.3467 6.95402 11.3699C6.77247 11.3931 6.58989 11.3355 6.45446 11.2124L3.70446 8.71241C3.44905 8.48022 3.43023 8.08494 3.66242 7.82953C3.89461 7.57412 4.28989 7.55529 4.5453 7.78749L6.75292 9.79441L10.6018 3.90792C10.7907 3.61902 11.178 3.53795 11.4669 3.72684Z",
              fill: "currentColor",
              fillRule: "evenodd",
              clipRule: "evenodd"
            }
          )
        }
      ) }) }) }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectPrimitive.ItemText, { children })
    ]
  }
));
SelectItem.displayName = SelectPrimitive.Item.displayName;
var SelectSeparator = React6.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  SelectPrimitive.Separator,
  {
    ref,
    className: cn("-mx-1 my-1 h-px bg-neutral-100 dark:bg-neutral-800", className),
    ...props
  }
));
SelectSeparator.displayName = SelectPrimitive.Separator.displayName;

// src/components/ui/spinner.tsx

var Spinner = ({
  isLoading,
  className,
  isLoadingText,
  children
}) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: _nullishCoalesce(className, () => ( "flex items-center")), children: isLoading ? /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, _jsxruntime.Fragment, { children: [
    isLoadingText,
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        width: "24",
        height: "24",
        viewBox: "0 0 24 24",
        fill: "none",
        stroke: "currentColor",
        strokeWidth: "2",
        strokeLinecap: "round",
        strokeLinejoin: "round",
        className: cn("h-4 w-4 animate-spin", isLoadingText ? "ml-2" : ""),
        children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "path", { d: "M21 12a9 9 0 1 1-6.219-8.56" })
      }
    )
  ] }) : children });
};

// src/components/databrowser/components/display/ttl-popover.tsx

var timeUnits = [
  { label: "Seconds", value: 1 },
  { label: "Minutes", value: 60 },
  { label: "Hours", value: 60 * 60 },
  { label: "Days", value: 60 * 60 * 24 }
];
function TTLPopover({
  children,
  ttl,
  setTTL,
  isPending
}) {
  const [open, setOpen] = _react.useState.call(void 0, false);
  const defaultValues = _react.useMemo.call(void 0, () => {
    return { type: "Seconds", value: ttl };
  }, [ttl]);
  const { control, handleSubmit, formState, reset } = _reacthookform.useForm.call(void 0, {
    defaultValues
  });
  _react.useEffect.call(void 0, () => {
    reset(defaultValues, {
      keepValues: true
    });
  }, [defaultValues]);
  const onSubmit = handleSubmit(async ({ value, type }) => {
    await setTTL(value * timeUnits.find((unit) => unit.label === type).value);
    setOpen(false);
  });
  const handlePersist = async () => {
    await setTTL(TTL_INFINITE);
    setOpen(false);
  };
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    Popover,
    {
      open,
      onOpenChange: (isOpen) => {
        if (isOpen) reset();
        setOpen(isOpen);
      },
      children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, PopoverTrigger, { asChild: true, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "button", { children }) }),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, PopoverContent, { className: "w-[300px]", align: "end", children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
          "form",
          {
            className: "space-y-4",
            onSubmit: (e) => {
              onSubmit(e);
              e.stopPropagation();
            },
            children: [
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "h4", { className: "font-medium leading-none", children: "Expiration" }),
              /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { children: [
                /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex items-center", children: [
                  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                    _reacthookform.Controller,
                    {
                      rules: {
                        required: "Please enter an expiration time",
                        min: { value: -1, message: "TTL can't be lower than -1" }
                      },
                      control,
                      name: "value",
                      render: ({ field }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Input, { min: "-1", ...field, className: "grow rounded-r-none" })
                    }
                  ),
                  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                    _reacthookform.Controller,
                    {
                      control,
                      name: "type",
                      render: ({ field }) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Select, { value: field.value, onValueChange: field.onChange, children: [
                        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectTrigger, { className: "w-auto rounded-l-none border-l-0 pr-8", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectValue, {}) }),
                        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectContent, { children: timeUnits.map((unit) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectItem, { value: unit.label, children: unit.label }, unit.label)) })
                      ] })
                    }
                  )
                ] }),
                formState.errors.value && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "mt-2 text-xs text-red-500", children: formState.errors.value.message }),
                /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "mt-2 text-xs text-zinc-500", children: "TTL sets a timer to automatically delete keys after a defined period." })
              ] }),
              /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex justify-between", children: [
                /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                  Button,
                  {
                    type: "button",
                    variant: "outline",
                    disabled: ttl === TTL_INFINITE,
                    onClick: handlePersist,
                    children: "Persist"
                  }
                ),
                /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex gap-2", children: [
                  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { variant: "outline", onClick: () => setOpen(false), type: "button", children: "Cancel" }),
                  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { variant: "primary", type: "submit", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoading: isPending, isLoadingText: "Saving", children: "Save" }) })
                ] })
              ] })
            ]
          }
        ) })
      ]
    }
  );
}

// src/components/databrowser/components/display/ttl-badge.tsx

var TTL_INFINITE = -1;
var TTL_NOT_FOUND = -2;
var calculateTTL = (expireAt) => {
  if (!expireAt) return;
  if (expireAt === TTL_INFINITE) return TTL_INFINITE;
  return Math.max(0, Math.floor((expireAt - Date.now()) / 1e3));
};
var TTLBadge = ({
  label = "TTL:",
  expireAt,
  setTTL,
  isPending
}) => {
  const [ttl, setTTLLabel] = _react.useState.call(void 0, () => calculateTTL(expireAt));
  _react.useEffect.call(void 0, () => {
    setTTLLabel(calculateTTL(expireAt));
    const interval = setInterval(() => {
      setTTLLabel(calculateTTL(expireAt));
    }, 1e3);
    return () => clearInterval(interval);
  }, [expireAt]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Badge, { label, children: ttl === void 0 ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "ml-1 h-3 w-10 rounded-md opacity-50" }) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TTLPopover, { ttl, setTTL, isPending, children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex gap-[2px]", children: [
    ttl === TTL_INFINITE ? "Forever" : formatTime(ttl),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconChevronDown, { className: "mt-[1px] text-zinc-400", size: 12 })
  ] }) }) });
};

// src/components/databrowser/hooks/use-fetch-ttl.ts
var FETCH_TTL_QUERY_KEY = "fetch-ttl";
var useFetchTTL = (dataKey) => {
  const { redis } = useRedis();
  const { isLoading, error, data } = _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_TTL_QUERY_KEY, dataKey],
    queryFn: async () => {
      const ttl = await redis.ttl(dataKey);
      return ttl === TTL_INFINITE || ttl === TTL_NOT_FOUND ? ttl : Date.now() + ttl * 1e3;
    }
  });
  _react.useEffect.call(void 0, () => {
    if (data === TTL_NOT_FOUND) {
      queryClient.invalidateQueries({
        queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY, dataKey]
      });
    }
  }, [data === TTL_NOT_FOUND]);
  return { isLoading, error, data };
};

// src/components/databrowser/hooks/use-set-simple-key.tsx

var useSetSimpleKey = (dataKey, type) => {
  const { redis } = useRedis();
  return _reactquery.useMutation.call(void 0, {
    mutationFn: async (value) => {
      if (type === "string") {
        await redis.set(dataKey, value);
      } else if (type === "json") {
        await redis.json.set(dataKey, "$", JSON.parse(value));
      } else {
        throw new Error(`Invalid type when setting simple key: ${type}`);
      }
    },
    onSuccess: (_, value) => {
      queryClient.setQueryData([FETCH_SIMPLE_KEY_QUERY_KEY, dataKey], value);
      queryClient.invalidateQueries({
        queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY, dataKey]
      });
    }
  });
};

// src/components/databrowser/hooks/use-set-ttl.ts

var useSetTTL = () => {
  const { redis } = useRedis();
  const updateTTL = _reactquery.useMutation.call(void 0, {
    mutationFn: async ({ dataKey, ttl }) => {
      await (ttl === void 0 || ttl === TTL_INFINITE ? redis.persist(dataKey) : redis.expire(dataKey, ttl));
    },
    onSuccess: (_, { dataKey }) => {
      queryClient.removeQueries({
        queryKey: [FETCH_TTL_QUERY_KEY, dataKey]
      });
      queryClient.invalidateQueries({
        queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY, dataKey]
      });
    }
  });
  return updateTTL;
};

// src/components/databrowser/components/item-context-menu.tsx

var _reactcontextmenu = require('@radix-ui/react-context-menu'); var ContextMenuPrimitive = _interopRequireWildcard(_reactcontextmenu);

// src/components/ui/context-menu.tsx




var ContextMenu = ContextMenuPrimitive.Root;
var ContextMenuTrigger = ContextMenuPrimitive.Trigger;
var ContextMenuSubTrigger = React7.forwardRef(({ className, inset, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  ContextMenuPrimitive.SubTrigger,
  {
    ref,
    className: cn(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-neutral-100 focus:text-neutral-900 data-[state=open]:bg-neutral-100 data-[state=open]:text-neutral-900 dark:focus:bg-neutral-800 dark:focus:text-neutral-50 dark:data-[state=open]:bg-neutral-800 dark:data-[state=open]:text-neutral-50",
      inset && "pl-8",
      className
    ),
    ...props,
    children: [
      children,
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.ChevronRightIcon, { className: "ml-auto h-4 w-4" })
    ]
  }
));
ContextMenuSubTrigger.displayName = ContextMenuPrimitive.SubTrigger.displayName;
var ContextMenuSubContent = React7.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ContextMenuPrimitive.SubContent,
  {
    ref,
    className: cn(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border border-neutral-200 bg-white p-1 text-neutral-950 shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:border-neutral-800 dark:bg-neutral-950 dark:text-neutral-50",
      className
    ),
    ...props
  }
));
ContextMenuSubContent.displayName = ContextMenuPrimitive.SubContent.displayName;
var ContextMenuContent = React7.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContextMenuPrimitive.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ContextMenuPrimitive.Content,
  {
    ref,
    className: cn(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border border-neutral-200 bg-white p-1 text-neutral-950 shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:border-neutral-800 dark:bg-neutral-950 dark:text-neutral-50",
      className
    ),
    ...props
  }
) }));
ContextMenuContent.displayName = ContextMenuPrimitive.Content.displayName;
var ContextMenuItem = React7.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ContextMenuPrimitive.Item,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      inset && "pl-8",
      className
    ),
    ...props
  }
));
ContextMenuItem.displayName = ContextMenuPrimitive.Item.displayName;
var ContextMenuCheckboxItem = React7.forwardRef(({ className, children, checked, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  ContextMenuPrimitive.CheckboxItem,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      className
    ),
    checked,
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContextMenuPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.CheckIcon, { className: "h-4 w-4" }) }) }),
      children
    ]
  }
));
ContextMenuCheckboxItem.displayName = ContextMenuPrimitive.CheckboxItem.displayName;
var ContextMenuRadioItem = React7.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  ContextMenuPrimitive.RadioItem,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      className
    ),
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContextMenuPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.DotFilledIcon, { className: "h-4 w-4 fill-current" }) }) }),
      children
    ]
  }
));
ContextMenuRadioItem.displayName = ContextMenuPrimitive.RadioItem.displayName;
var ContextMenuLabel = React7.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ContextMenuPrimitive.Label,
  {
    ref,
    className: cn(
      "px-2 py-1.5 text-sm font-semibold text-neutral-950 dark:text-neutral-50",
      inset && "pl-8",
      className
    ),
    ...props
  }
));
ContextMenuLabel.displayName = ContextMenuPrimitive.Label.displayName;
var ContextMenuSeparator = React7.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ContextMenuPrimitive.Separator,
  {
    ref,
    className: cn("-mx-1 my-1 h-px bg-neutral-200 dark:bg-neutral-800", className),
    ...props
  }
));
ContextMenuSeparator.displayName = ContextMenuPrimitive.Separator.displayName;
var ContextMenuShortcut = ({ className, ...props }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    "span",
    {
      className: cn(
        "ml-auto text-xs tracking-widest text-neutral-500 dark:text-neutral-400",
        className
      ),
      ...props
    }
  );
};
ContextMenuShortcut.displayName = "ContextMenuShortcut";

// src/components/ui/alert-dialog.tsx

var _reactalertdialog = require('@radix-ui/react-alert-dialog'); var AlertDialogPrimitive = _interopRequireWildcard(_reactalertdialog);

var AlertDialog = AlertDialogPrimitive.Root;
var AlertDialogTrigger = AlertDialogPrimitive.Trigger;
var AlertDialogPortal = ({ ...props }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogPrimitive.Portal, { container: portalRoot, ...props });
AlertDialogPortal.displayName = AlertDialogPrimitive.Portal.displayName;
var AlertDialogOverlay = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  AlertDialogPrimitive.Overlay,
  {
    className: cn(
      "fixed inset-0 z-50 bg-white/80 backdrop-blur-sm data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 dark:bg-zinc-950/80",
      className
    ),
    ...props,
    ref
  }
));
AlertDialogOverlay.displayName = AlertDialogPrimitive.Overlay.displayName;
var AlertDialogContent = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialogPortal, { children: [
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogOverlay, {}),
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    AlertDialogPrimitive.Content,
    {
      ref,
      className: cn(
        "antialiased data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border border-zinc-200 bg-white p-6 shadow-lg duration-200 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] dark:border-zinc-800 dark:bg-zinc-950 sm:rounded-lg md:w-full",
        className
      ),
      ...props
    }
  )
] }));
AlertDialogContent.displayName = AlertDialogPrimitive.Content.displayName;
var AlertDialogHeader = ({ className, ...props }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: cn("flex flex-col space-y-2 text-center sm:text-left", className), ...props });
AlertDialogHeader.displayName = "AlertDialogHeader";
var AlertDialogFooter = ({ className, ...props }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  "div",
  {
    className: cn("flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2", className),
    ...props
  }
);
AlertDialogFooter.displayName = "AlertDialogFooter";
var AlertDialogTitle = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  AlertDialogPrimitive.Title,
  {
    ref,
    className: cn("text-lg font-semibold", className),
    ...props
  }
));
AlertDialogTitle.displayName = AlertDialogPrimitive.Title.displayName;
var AlertDialogDescription = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  AlertDialogPrimitive.Description,
  {
    ref,
    className: cn("text-sm text-zinc-500 dark:text-zinc-400", className),
    ...props
  }
));
AlertDialogDescription.displayName = AlertDialogPrimitive.Description.displayName;
var AlertDialogAction = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogPrimitive.Action, { ref, className: cn(buttonVariants(), className), ...props }));
AlertDialogAction.displayName = AlertDialogPrimitive.Action.displayName;
var AlertDialogCancel = React8.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  AlertDialogPrimitive.Cancel,
  {
    ref,
    className: cn(buttonVariants({ variant: "outline" }), "mt-2 sm:!mt-0", className),
    ...props
  }
));
AlertDialogCancel.displayName = AlertDialogPrimitive.Cancel.displayName;

// src/components/databrowser/components/display/delete-alert-dialog.tsx

function DeleteAlertDialog({
  children,
  onDeleteConfirm,
  open,
  onOpenChange,
  deletionType
}) {
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialog, { open, onOpenChange, children: [
    children && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogTrigger, { asChild: true, children }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialogContent, { children: [
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialogHeader, { children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogTitle, { children: deletionType === "item" ? "Delete Item" : "Delete Key" }),
        /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialogDescription, { className: "mt-5", children: [
          "Are you sure you want to delete this ",
          deletionType,
          "?",
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "br", {}),
          "This action cannot be undone."
        ] })
      ] }),
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, AlertDialogFooter, { children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AlertDialogCancel, { type: "button", children: "Cancel" }),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          AlertDialogAction,
          {
            className: "bg-red-500 text-gray-50 hover:bg-red-600",
            onClick: onDeleteConfirm,
            children: "Yes, Delete"
          }
        )
      ] })
    ] })
  ] });
}

// src/components/databrowser/components/item-context-menu.tsx

var ItemContextMenu = ({
  children,
  dataKey,
  type
}) => {
  const { mutate: editItem } = useEditListItem();
  const [isAlertOpen, setAlertOpen] = _react.useState.call(void 0, false);
  const [data, setData] = _react.useState.call(void 0, );
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, _jsxruntime.Fragment, { children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      DeleteAlertDialog,
      {
        deletionType: "item",
        open: isAlertOpen,
        onOpenChange: setAlertOpen,
        onDeleteConfirm: (e) => {
          e.stopPropagation();
          if (data) {
            editItem({
              type,
              dataKey,
              itemKey: _optionalChain([data, 'optionalAccess', _30 => _30.key]),
              // For deletion
              newKey: void 0
            });
          }
          setAlertOpen(false);
        }
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, ContextMenu, { modal: false, children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        ContextMenuTrigger,
        {
          asChild: true,
          onContextMenu: (e) => {
            const el = e.target;
            const item = el.closest("[data-item-key]");
            if (item && item instanceof HTMLElement && item.dataset.itemKey !== void 0) {
              setData({
                key: item.dataset.itemKey,
                value: item.dataset.itemValue
              });
            } else {
              throw new Error("Key not found");
            }
          },
          children
        }
      ),
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, ContextMenuContent, { children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          ContextMenuItem,
          {
            onClick: () => {
              if (!data) return;
              navigator.clipboard.writeText(_optionalChain([data, 'optionalAccess', _31 => _31.key]));
              toast({
                description: "Key copied to clipboard"
              });
            },
            children: "Copy key"
          }
        ),
        _optionalChain([data, 'optionalAccess', _32 => _32.value]) && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          ContextMenuItem,
          {
            onClick: () => {
              navigator.clipboard.writeText(_nullishCoalesce(_optionalChain([data, 'optionalAccess', _33 => _33.value]), () => ( "")));
              toast({
                description: "Value copied to clipboard"
              });
            },
            children: "Copy value"
          }
        ),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactcontextmenu.ContextMenuSeparator, {}),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContextMenuItem, { disabled: type === "stream", onClick: () => setAlertOpen(true), children: "Delete item" })
      ] })
    ] })
  ] });
};

// src/components/databrowser/components/sidebar/infinite-scroll.tsx



// src/components/ui/scroll-area.tsx

var _reactscrollarea = require('@radix-ui/react-scroll-area'); var ScrollAreaPrimitive = _interopRequireWildcard(_reactscrollarea);

var ScrollArea = React9.forwardRef(({ className, children, onScroll, disableRoundedInherit = false, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  ScrollAreaPrimitive.Root,
  {
    ref,
    className: cn("relative overflow-hidden", className),
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        ScrollAreaPrimitive.Viewport,
        {
          onScroll,
          className: cn("h-full w-full [&>div]:!block", !disableRoundedInherit && "rounded-[inherit]"),
          children
        }
      ),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ScrollBar, {}),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ScrollAreaPrimitive.Corner, {})
    ]
  }
));
ScrollArea.displayName = ScrollAreaPrimitive.Root.displayName;
var ScrollBar = React9.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  ScrollAreaPrimitive.ScrollAreaScrollbar,
  {
    ref,
    orientation: "vertical",
    className: cn("flex h-full w-2 touch-none select-none transition-colors", className),
    ...props,
    children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      ScrollAreaPrimitive.ScrollAreaThumb,
      {
        className: cn("relative flex-1 rounded-full bg-neutral-200/70 dark:bg-neutral-800")
      }
    )
  }
));
ScrollBar.displayName = ScrollAreaPrimitive.ScrollAreaScrollbar.displayName;

// src/components/databrowser/components/sidebar/infinite-scroll.tsx

var InfiniteScroll = ({
  query,
  children,
  ...props
}) => {
  const { active } = useTab();
  const scrollRef = _react.useRef.call(void 0, null);
  const contentRef = _react.useRef.call(void 0, null);
  const handleScroll = (e) => {
    const { scrollTop, clientHeight, scrollHeight } = e.currentTarget;
    if (scrollTop + clientHeight > scrollHeight - 100) {
      if (query.isFetching || !query.hasNextPage) {
        return;
      }
      query.fetchNextPage();
    }
  };
  const checkAndFetchMore = () => {
    if (!scrollRef.current || !contentRef.current) return;
    const viewportHeight = scrollRef.current.clientHeight;
    const contentHeight = contentRef.current.clientHeight;
    const overflowThreshold = viewportHeight + 100;
    if (contentHeight < overflowThreshold && query.hasNextPage && !query.isFetching) {
      query.fetchNextPage();
    }
  };
  _react.useEffect.call(void 0, () => {
    if (!active) return;
    const timer = setTimeout(checkAndFetchMore, 100);
    return () => clearTimeout(timer);
  }, [active, query.data]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    ScrollArea,
    {
      type: "always",
      onScroll: handleScroll,
      ...props,
      className: cn(
        "block h-full w-full overflow-visible rounded-lg border border-zinc-200 bg-white p-1 pr-3 transition-all",
        props.className
      ),
      ref: scrollRef,
      children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { ref: contentRef, children: [
        children,
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex h-[100px] justify-center py-2 text-zinc-300", children: query.isFetching && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconLoader2, { className: "animate-spin", size: 16 }) })
      ] })
    }
  );
};

// src/components/databrowser/components/display/display-header.tsx


// src/types/index.ts
var DATA_TYPES = ["string", "list", "hash", "set", "zset", "json", "stream"];
var DATA_TYPE_NAMES = {
  string: "String",
  list: "List",
  hash: "Hash",
  set: "Set",
  zset: "Sorted Set",
  json: "JSON",
  stream: "Stream"
};

// src/components/databrowser/components/type-tag.tsx









var iconsMap = {
  string: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconQuote, { size: 15, stroke: 1.3 }),
  set: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconLayersIntersect, { size: 15, stroke: 1.3 }),
  hash: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconHash, { size: 15, stroke: 1.3 }),
  json: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconCodeDots, { size: 15, stroke: 1.3 }),
  zset: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconArrowsSort, { size: 15, stroke: 1.3 }),
  list: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconList, { size: 15, stroke: 1.3 }),
  stream: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconList, { size: 15, stroke: 1.3 })
};
var tagVariants = cva("inline-flex shrink-0 items-center rounded-md justify-center", {
  variants: {
    variant: {
      string: "bg-sky-200 text-sky-800",
      hash: "bg-amber-200 text-amber-800",
      set: "bg-indigo-200 text-indigo-800",
      zset: "bg-pink-200 text-pink-800",
      json: "bg-purple-200 text-purple-800",
      list: "bg-orange-200 text-orange-800",
      stream: "bg-green-200 text-green-800"
    },
    type: {
      icon: "size-5",
      badge: "h-6 px-2 uppercase whitespace-nowrap text-xs font-medium leading-none tracking-wide"
    }
  },
  defaultVariants: {
    variant: "string",
    type: "icon"
  }
});
function TypeTag({ className, variant, type }) {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: cn(tagVariants({ variant, type, className })), children: type === "icon" ? iconsMap[variant] : DATA_TYPE_NAMES[variant] });
}

// src/components/databrowser/components/display/key-actions.tsx


// src/components/ui/dropdown-menu.tsx

var _reactdropdownmenu = require('@radix-ui/react-dropdown-menu'); var DropdownMenuPrimitive = _interopRequireWildcard(_reactdropdownmenu);


var DropdownMenu = DropdownMenuPrimitive.Root;
var DropdownMenuTrigger = DropdownMenuPrimitive.Trigger;
var DropdownMenuSubTrigger = React10.forwardRef(({ className, inset, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  DropdownMenuPrimitive.SubTrigger,
  {
    ref,
    className: cn(
      "flex cursor-default select-none items-center gap-2 rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-neutral-100 data-[state=open]:bg-neutral-100 dark:focus:bg-neutral-800 dark:data-[state=open]:bg-neutral-800 [&_svg]:pointer-events-none [&_svg]:size-4 [&_svg]:shrink-0",
      inset && "pl-8",
      className
    ),
    ...props,
    children: [
      children,
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.ChevronRightIcon, { className: "ml-auto" })
    ]
  }
));
DropdownMenuSubTrigger.displayName = DropdownMenuPrimitive.SubTrigger.displayName;
var DropdownMenuSubContent = React10.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DropdownMenuPrimitive.SubContent,
  {
    ref,
    className: cn(
      "z-50 min-w-[8rem] origin-[--radix-dropdown-menu-content-transform-origin] overflow-hidden rounded-md border border-neutral-200 bg-white p-1 text-neutral-950 shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:border-neutral-800 dark:bg-neutral-950 dark:text-neutral-50",
      className
    ),
    ...props
  }
));
DropdownMenuSubContent.displayName = DropdownMenuPrimitive.SubContent.displayName;
var DropdownMenuContent = React10.forwardRef(({ className, sideOffset = 4, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DropdownMenuPrimitive.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DropdownMenuPrimitive.Content,
  {
    ref,
    sideOffset,
    className: cn(
      "z-50 max-h-[var(--radix-dropdown-menu-content-available-height)] min-w-[8rem] overflow-y-auto overflow-x-hidden rounded-md border border-neutral-200 bg-white p-1 text-neutral-950 shadow-md dark:border-neutral-800 dark:bg-neutral-950 dark:text-neutral-50",
      "origin-[--radix-dropdown-menu-content-transform-origin] data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      className
    ),
    ...props
  }
) }));
DropdownMenuContent.displayName = DropdownMenuPrimitive.Content.displayName;
var DropdownMenuItem = React10.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DropdownMenuPrimitive.Item,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center gap-2 rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50 [&>svg]:size-4 [&>svg]:shrink-0",
      inset && "pl-8",
      className
    ),
    ...props
  }
));
DropdownMenuItem.displayName = DropdownMenuPrimitive.Item.displayName;
var DropdownMenuCheckboxItem = React10.forwardRef(({ className, children, checked, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  DropdownMenuPrimitive.CheckboxItem,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      className
    ),
    checked,
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DropdownMenuPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.CheckIcon, { className: "h-4 w-4" }) }) }),
      children
    ]
  }
));
DropdownMenuCheckboxItem.displayName = DropdownMenuPrimitive.CheckboxItem.displayName;
var DropdownMenuRadioItem = React10.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
  DropdownMenuPrimitive.RadioItem,
  {
    ref,
    className: cn(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-neutral-100 focus:text-neutral-900 data-[disabled]:pointer-events-none data-[disabled]:opacity-50 dark:focus:bg-neutral-800 dark:focus:text-neutral-50",
      className
    ),
    ...props,
    children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DropdownMenuPrimitive.ItemIndicator, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.DotFilledIcon, { className: "h-2 w-2 fill-current" }) }) }),
      children
    ]
  }
));
DropdownMenuRadioItem.displayName = DropdownMenuPrimitive.RadioItem.displayName;
var DropdownMenuLabel = React10.forwardRef(({ className, inset, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DropdownMenuPrimitive.Label,
  {
    ref,
    className: cn("px-2 py-1.5 text-sm font-semibold", inset && "pl-8", className),
    ...props
  }
));
DropdownMenuLabel.displayName = DropdownMenuPrimitive.Label.displayName;
var DropdownMenuSeparator = React10.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DropdownMenuPrimitive.Separator,
  {
    ref,
    className: cn("-mx-1 my-1 h-px bg-neutral-100 dark:bg-neutral-800", className),
    ...props
  }
));
DropdownMenuSeparator.displayName = DropdownMenuPrimitive.Separator.displayName;
var DropdownMenuShortcut = ({ className, ...props }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: cn("ml-auto text-xs tracking-widest opacity-60", className), ...props });
};
DropdownMenuShortcut.displayName = "DropdownMenuShortcut";

// src/components/databrowser/components/display/key-actions.tsx

function KeyActions({ dataKey, content }) {
  const { mutateAsync: deleteKey } = useDeleteKey();
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, DropdownMenu, { modal: false, children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DropdownMenuTrigger, { asChild: true, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { size: "icon-sm", "aria-label": "Key actions", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconDotsVertical, { className: "size-4 text-zinc-500" }) }) }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, DropdownMenuContent, { className: "", align: "end", children: [
      content && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        DropdownMenuItem,
        {
          onClick: () => {
            navigator.clipboard.writeText(content);
            toast({
              description: "Content copied to clipboard"
            });
          },
          children: "Copy content"
        }
      ),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        DropdownMenuItem,
        {
          onClick: () => {
            navigator.clipboard.writeText(dataKey);
          },
          children: "Copy key"
        }
      ),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        DeleteAlertDialog,
        {
          deletionType: "key",
          onDeleteConfirm: async () => await deleteKey(dataKey),
          children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            DropdownMenuItem,
            {
              className: "text-red-500 focus:bg-red-500 focus:text-white",
              onSelect: (e) => e.preventDefault(),
              children: "Delete key"
            }
          )
        }
      )
    ] })
  ] });
}

// src/components/databrowser/components/display/display-header.tsx

var DisplayHeader = ({
  dataKey,
  type,
  content
}) => {
  const { setSelectedListItem } = useTab();
  const handleAddItem = () => {
    setSelectedListItem({ key: type === "stream" ? "*" : "", isNew: true });
  };
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "rounded-lg bg-zinc-100", children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex min-h-10 items-center justify-between gap-4", children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "h2", { className: "grow truncate text-base", children: dataKey.trim() === "" ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "ml-1 text-zinc-500", children: "(Empty Key)" }) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "font-semibold", children: dataKey }) }),
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex items-center gap-1", children: [
        type !== "string" && type !== "json" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { onClick: handleAddItem, size: "icon-sm", "aria-label": "Add item", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconPlus, { className: "size-4 text-zinc-500" }) }),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, KeyActions, { dataKey, content })
      ] })
    ] }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-10 flex-wrap items-center gap-1.5", children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TypeTag, { variant: type, type: "badge" }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SizeBadge, { dataKey }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, LengthBadge, { dataKey, type, content }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, HeaderTTLBadge, { dataKey })
    ] })
  ] });
};

// src/components/databrowser/components/display/display-list-edit.tsx


// src/components/ui/tooltip.tsx



var Tooltip = TooltipPrimitive.Root;
var TooltipTrigger = TooltipPrimitive.Trigger;
var TooltipContent = React11.forwardRef(({ className, sideOffset = 4, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TooltipPrimitive.Portal, { container: portalRoot, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  TooltipPrimitive.Content,
  {
    ref,
    sideOffset,
    className: cn(
      "z-50 overflow-hidden rounded-md bg-zinc-900 px-3 py-1.5 text-xs text-zinc-50 animate-in fade-in-0 zoom-in-95 data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=closed]:zoom-out-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:bg-zinc-50 dark:text-zinc-900",
      className
    ),
    ...props
  }
) }));
TooltipContent.displayName = TooltipPrimitive.Content.displayName;
var SimpleTooltip = ({
  content,
  children
}) => {
  if (!content) return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children });
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Tooltip, { delayDuration: 400, children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TooltipTrigger, { asChild: true, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { children }) }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TooltipContent, { side: "top", children: content })
  ] });
};

// src/components/databrowser/hooks/use-fetch-hash-ttl.ts

var FETCH_HASH_FIELD_TTLS_QUERY_KEY = "fetch-hash-field-ttls";
var useFetchHashFieldExpires = ({
  dataKey,
  fields
}) => {
  const { redis } = useRedis();
  return _reactquery.useQuery.call(void 0, {
    queryKey: [FETCH_HASH_FIELD_TTLS_QUERY_KEY, dataKey, fields],
    queryFn: async () => {
      const cachedExpires = /* @__PURE__ */ new Map();
      for (const field of fields) {
        const expireAt = queryClient.getQueryData([
          FETCH_HASH_FIELD_TTLS_QUERY_KEY,
          dataKey,
          field
        ]);
        if (expireAt !== void 0) cachedExpires.set(field, expireAt);
      }
      const filteredFields = fields.filter((field) => !cachedExpires.has(field));
      if (filteredFields.length === 0) return Object.fromEntries(cachedExpires.entries());
      const res = await redis.httl(dataKey, filteredFields);
      const expireAts = res.map(
        (ttl) => ttl === TTL_INFINITE || ttl === TTL_NOT_FOUND ? ttl : Date.now() + ttl * 1e3
      );
      for (const [i, field] of filteredFields.entries()) {
        queryClient.setQueryData([FETCH_HASH_FIELD_TTLS_QUERY_KEY, dataKey, field], expireAts[i]);
      }
      const newExpiresArray = expireAts.map((expireAt, i) => [filteredFields[i], expireAt]);
      return Object.fromEntries([...cachedExpires.entries(), ...newExpiresArray]);
    }
  });
};

// src/components/databrowser/hooks/use-set-hash-ttl.ts

var useSetHashTTL = () => {
  const { redis } = useRedis();
  return _reactquery.useMutation.call(void 0, {
    mutationFn: async ({
      dataKey,
      field,
      ttl
    }) => {
      await (ttl === void 0 || ttl === TTL_INFINITE ? redis.hpersist(dataKey, field) : redis.hexpire(dataKey, field, ttl));
    },
    onSuccess: (_, { dataKey }) => {
      queryClient.removeQueries({
        queryKey: [FETCH_HASH_FIELD_TTLS_QUERY_KEY, dataKey]
      });
    }
  });
};

// src/components/databrowser/components/display/hash/hash-field-ttl-badge.tsx

var HashFieldTTLBadge = ({ dataKey, field }) => {
  const { data } = useFetchHashFieldExpires({ dataKey, fields: [field] });
  const { mutate: setTTL, isPending } = useSetHashTTL();
  const expireAt = _optionalChain([data, 'optionalAccess', _34 => _34[field]]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    TTLBadge,
    {
      label: "Field TTL:",
      expireAt,
      setTTL: (ttl) => setTTL({ dataKey, field, ttl }),
      isPending
    }
  );
};

// src/components/databrowser/components/display/input/use-field.tsx



// src/components/databrowser/components/display/input/content-type-select.tsx


var ContentTypeSelect = ({
  value,
  onChange,
  data
}) => {
  const isValidJSON = _react.useMemo.call(void 0, () => checkIsValidJSON(data), [data]);
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Select, { value, onValueChange: onChange, children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectTrigger, { className: "h-6 w-auto border-none bg-transparent pl-0 pr-6 text-xs text-zinc-500", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectValue, { placeholder: "Text" }) }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectContent, { children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, SelectGroup, { children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectItem, { value: "Text", children: "Text" }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectItem, { disabled: !isValidJSON, value: "JSON", children: "JSON" })
    ] }) })
  ] });
};

// src/components/databrowser/components/display/input/custom-editor.tsx

var _react2 = require('@monaco-editor/react');

// src/components/databrowser/copy-button.tsx



function CopyButton({ value, ...props }) {
  const [copied, setCopied] = _react.useState.call(void 0, false);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    Button,
    {
      onClick: (e) => {
        setCopied(true);
        handleCopyClick(value);
        setTimeout(() => {
          setCopied(false);
        }, 1500);
        navigator.clipboard.writeText(value);
        e.stopPropagation();
        e.preventDefault();
      },
      className: cn("", props.className),
      variant: "secondary",
      size: "icon-sm",
      ...props,
      children: copied ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconCheck, { className: "size-4 text-green-500" }) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconCopy, { className: "size-4 text-zinc-500" })
    }
  );
}
var handleCopyClick = async (textToCopy) => {
  try {
    await navigator.clipboard.writeText(textToCopy);
  } catch (error) {
    console.error("Failed to copy text:", error);
  }
};

// src/components/databrowser/components/display/input/custom-editor.tsx

var CustomEditor = ({
  language,
  value,
  onChange,
  height,
  showCopyButton,
  readOnly
}) => {
  const { active } = useTab();
  const monaco = _react2.useMonaco.call(void 0, );
  const editorRef = _react.useRef.call(void 0, );
  _react.useEffect.call(void 0, () => {
    if (!active || !monaco || !editorRef.current) {
      return;
    }
    _optionalChain([monaco, 'optionalAccess', _35 => _35.editor, 'access', _36 => _36.setModelLanguage, 'call', _37 => _37(editorRef.current.getModel(), language)]);
  }, [monaco, language, active]);
  const editor = /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
    _react2.Editor,
    {
      loading: void 0,
      onMount: (editor2) => {
        editorRef.current = editor2;
      },
      value,
      onChange: (value2) => {
        onChange(_nullishCoalesce(value2, () => ( "")));
      },
      defaultLanguage: language,
      options: {
        readOnly,
        wordWrap: "on",
        overviewRulerBorder: false,
        overviewRulerLanes: 0,
        formatOnPaste: true,
        formatOnType: true,
        renderWhitespace: "none",
        smoothScrolling: true,
        autoIndent: "full",
        guides: { indentation: false },
        fontSize: 13,
        cursorBlinking: "smooth",
        minimap: { enabled: false },
        folding: false,
        glyphMargin: false,
        lineNumbers: "off",
        parameterHints: { enabled: false },
        lineDecorationsWidth: 0,
        automaticLayout: true,
        scrollBeyondLastLine: false,
        renderLineHighlight: "none"
      }
    }
  );
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    "div",
    {
      className: cn("group/editor relative", height === void 0 && "h-full p-2"),
      style: { height },
      children: [
        isTest ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "input", { "aria-label": "editor", value, onChange: (e) => onChange(e.target.value) }) : editor,
        showCopyButton && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          CopyButton,
          {
            value,
            className: "absolute right-0 top-0 hidden group-hover/editor:flex"
          }
        )
      ]
    }
  );
};

// src/components/databrowser/components/display/input/use-field.tsx

var useField = ({
  name,
  form,
  height,
  showCopyButton,
  readOnly,
  data
}) => {
  const { field, fieldState } = _reacthookform.useController.call(void 0, {
    name,
    control: form.control
  });
  const [contentType, setContentType] = _react.useState.call(void 0, 
    () => checkIsValidJSON(field.value) ? "JSON" : "Text"
  );
  _react.useEffect.call(void 0, () => {
    if (contentType === "JSON" && checkIsValidJSON(data)) {
      form.setValue(name, formatJSON(data), {
        shouldDirty: false
      });
    } else {
      form.setValue(name, data, {
        shouldDirty: false
      });
    }
  }, [data]);
  const handleTypeChange = (type) => {
    setContentType(type);
    if (type === "JSON") {
      form.setValue(name, formatJSON(field.value), {
        shouldDirty: false
      });
    } else {
      if (!fieldState.isDirty) {
        form.resetField(name);
      }
    }
  };
  return {
    selector: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContentTypeSelect, { value: contentType, onChange: handleTypeChange, data: field.value }),
    editor: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      CustomEditor,
      {
        language: contentType === "JSON" ? "json" : "plaintext",
        value: field.value,
        onChange: field.onChange,
        height,
        showCopyButton,
        readOnly
      }
    ) })
  };
};
var formatJSON = (value) => JSON.stringify(JSON.parse(value), null, 2);
var checkIsValidJSON = (value) => {
  try {
    JSON.parse(value);
    return true;
  } catch (e3) {
    return false;
  }
};

// src/components/databrowser/components/display/display-list-edit.tsx

var ListEditDisplay = ({
  dataKey,
  type,
  item
}) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "grow rounded-md bg-zinc-100", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ListEditForm, { item, type, dataKey }, item.key) });
};
var ListEditForm = ({
  type,
  dataKey,
  item: { key: itemKey, isNew }
}) => {
  const query = useFetchListItems({
    type,
    dataKey
  });
  const findValue = () => {
    for (const page of _nullishCoalesce(_optionalChain([query, 'access', _38 => _38.data, 'optionalAccess', _39 => _39.pages]), () => ( []))) {
      const item = page.keys.find((item2) => item2.key === itemKey);
      if (item && "value" in item) return item.value;
    }
    return;
  };
  const itemValue = findValue();
  const form = _reacthookform.useForm.call(void 0, {
    defaultValues: {
      key: itemKey,
      value: itemValue
    }
  });
  const { mutateAsync: editItem, isPending } = useEditListItem();
  const { setSelectedListItem } = useTab();
  const [keyLabel, valueLabel] = headerLabels[type];
  const onSubmit = form.handleSubmit(async ({ key, value }) => {
    await editItem({
      type,
      dataKey,
      itemKey,
      newKey: key,
      newValue: value,
      isNew
    });
    setSelectedListItem(void 0);
  });
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacthookform.FormProvider, { ...form, children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "form", { onSubmit, className: "flex flex-col gap-2", children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex grow flex-col gap-2", children: [
      type !== "list" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        FormItem,
        {
          readOnly: type === "stream",
          name: "key",
          height: type === "set" ? 250 : 100,
          label: keyLabel,
          data: itemKey
        }
      ),
      type === "zset" ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, NumberFormItem, { name: "value", label: valueLabel }) : type !== "set" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        FormItem,
        {
          readOnly: type === "stream",
          name: "value",
          height: type === "list" ? 250 : 100,
          label: valueLabel,
          data: _nullishCoalesce(itemValue, () => ( ""))
        }
      )
    ] }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
      "div",
      {
        className: cn(
          "flex items-center",
          type === "hash" && itemKey !== "" ? "justify-between" : "justify-end"
        ),
        children: [
          type === "hash" && itemKey !== "" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, HashFieldTTLBadge, { dataKey, field: itemKey }),
          /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex gap-2", children: [
            /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
              Button,
              {
                type: "button",
                onClick: () => {
                  setSelectedListItem(void 0);
                },
                children: "Cancel"
              }
            ),
            /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
              SimpleTooltip,
              {
                content: type === "stream" && !isNew ? "Streams are not mutable" : void 0,
                children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                  Button,
                  {
                    variant: "primary",
                    type: "submit",
                    disabled: !form.formState.isValid || !form.formState.isDirty || type === "stream" && !isNew,
                    children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoading: isPending, isLoadingText: "Saving", children: "Save" })
                  }
                )
              }
            )
          ] })
        ]
      }
    )
  ] }) });
};
var NumberFormItem = ({ name, label }) => {
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex flex-col gap-1", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "text-xs font-medium text-zinc-700", children: label }) }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      _reacthookform.Controller,
      {
        name,
        render: ({ field }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "input",
          {
            className: "plain-input rounded-md border border-zinc-300 px-3 py-1 shadow-sm",
            type: "number",
            ...field
          }
        )
      }
    )
  ] });
};
var FormItem = ({
  name,
  label,
  height,
  readOnly,
  data
}) => {
  const form = _reacthookform.useFormContext.call(void 0, );
  const { editor, selector } = useField({
    name,
    form,
    height,
    showCopyButton: true,
    readOnly,
    data
  });
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex flex-col gap-1", children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex items-center gap-1 text-xs", children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "font-medium text-zinc-700", children: label }),
      " ",
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "text-zinc-300", children: "/" }),
      selector
    ] }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "overflow-hidden rounded-md border border-zinc-300 bg-white p-2 shadow-sm", children: editor })
  ] });
};

// src/components/databrowser/components/display/hash/hash-field-ttl-info.tsx


var HashFieldTTLInfo = ({
  dataKey,
  field,
  fields
}) => {
  const { data } = useFetchHashFieldExpires({ dataKey, fields });
  const expireAt = _optionalChain([data, 'optionalAccess', _40 => _40[field]]);
  const [ttl, setTTL] = _react.useState.call(void 0, () => calculateTTL(expireAt));
  _react.useEffect.call(void 0, () => {
    setTTL(calculateTTL(expireAt));
    const interval = setInterval(() => {
      setTTL(calculateTTL(expireAt));
    }, 1e3);
    return () => clearInterval(interval);
  }, [expireAt]);
  if (!expireAt || expireAt === TTL_NOT_FOUND || expireAt === TTL_INFINITE) return;
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "block min-w-[30px] whitespace-nowrap text-right text-red-600", children: formatTime(_nullishCoalesce(ttl, () => ( 0))) });
};

// src/components/databrowser/components/display/display-list.tsx

var headerLabels = {
  list: ["Index", "Content"],
  hash: ["Field", "Value"],
  zset: ["Value", "Score"],
  stream: ["ID", "Value"],
  set: ["Value", ""]
};
var ListDisplay = ({ dataKey, type }) => {
  const { selectedListItem } = useTab();
  const query = useFetchListItems({ dataKey, type });
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-full flex-col gap-2", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DisplayHeader, { dataKey, type }),
    selectedListItem && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ListEditDisplay, { dataKey, type, item: selectedListItem }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: cn("min-h-0 grow", selectedListItem && "hidden"), children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, InfiniteScroll, { query, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "table", { className: "w-full", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ItemContextMenu, { dataKey, type, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "tbody", { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ListItems, { dataKey, type, query }) }) }) }) }) })
  ] });
};
var ListItems = ({
  query,
  type,
  dataKey
}) => {
  const { setSelectedListItem } = useTab();
  const keys = _react.useMemo.call(void 0, () => _nullishCoalesce(_optionalChain([query, 'access', _41 => _41.data, 'optionalAccess', _42 => _42.pages, 'access', _43 => _43.flatMap, 'call', _44 => _44((page) => page.keys)]), () => ( [])), [query.data]);
  const fields = _react.useMemo.call(void 0, () => keys.map((key) => key.key), [keys]);
  const { mutate: editItem } = useEditListItem();
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children: keys.map(({ key, value }, i) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    "tr",
    {
      "data-item-key": key,
      "data-item-value": value,
      onClick: () => {
        setSelectedListItem({ key });
      },
      className: cn("h-10 border-b border-b-zinc-100 transition-colors hover:bg-zinc-100"),
      children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "td",
          {
            className: cn(
              "cursor-pointer truncate px-3",
              type === "list" || type === "stream" ? "w-32 min-w-24" : "max-w-0"
            ),
            children: key
          }
        ),
        value !== void 0 && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "td",
          {
            className: cn("cursor-pointer truncate px-3", type === "zset" ? "w-24" : "max-w-0"),
            children: value
          }
        ),
        type !== "stream" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "td",
          {
            className: "w-0 min-w-0 p-0",
            onClick: (e) => {
              e.stopPropagation();
            },
            children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex items-center justify-end gap-2", children: [
              type === "hash" && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, HashFieldTTLInfo, { dataKey, field: key, fields }),
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                DeleteAlertDialog,
                {
                  deletionType: "item",
                  onDeleteConfirm: (e) => {
                    e.stopPropagation();
                    editItem({
                      type,
                      dataKey,
                      itemKey: key,
                      // For deletion
                      newKey: void 0
                    });
                  },
                  children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                    Button,
                    {
                      className: "",
                      size: "icon-sm",
                      variant: "secondary",
                      onClick: (e) => e.stopPropagation(),
                      children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconTrash, { className: "size-4 text-zinc-500" })
                    }
                  )
                }
              )
            ] })
          }
        )
      ]
    },
    `${dataKey}-${key}-${i}`
  )) });
};

// src/components/databrowser/components/display/display-simple.tsx



var EditorDisplay = ({ dataKey, type }) => {
  const { data } = useFetchSimpleKey(dataKey, type);
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-full w-full flex-col gap-2", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DisplayHeader, { dataKey, type, content: _nullishCoalesce(data, () => ( void 0)) }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex h-full grow flex-col gap-2 rounded-md bg-zinc-100", children: data === void 0 ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoadingText: "", isLoading: true }) : data === null ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, {}) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, EditorDisplayForm, { dataKey, type, data }, dataKey) })
  ] });
};
var EditorDisplayForm = ({
  dataKey,
  type,
  data
}) => {
  const form = _reacthookform.useForm.call(void 0, {
    defaultValues: { value: data }
  });
  _react.useEffect.call(void 0, () => {
    form.reset({ value: data });
  }, [data]);
  const { editor, selector } = useField({ name: "value", form, data });
  const { mutateAsync: setKey, isPending: isSettingKey } = useSetSimpleKey(dataKey, type);
  const handleCancel = () => {
    form.reset({ value: data });
  };
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, _jsxruntime.Fragment, { children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex grow flex-col gap-1", children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex shrink-0 items-center gap-2", children: type === "json" ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", {}) : selector }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "grow rounded-md border border-zinc-300 bg-white p-1", children: editor })
    ] }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex shrink-0 items-center gap-2", children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "ml-auto flex gap-2", children: [
      form.formState.isDirty && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { onClick: handleCancel, children: "Cancel" }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        Button,
        {
          variant: "primary",
          onClick: form.handleSubmit(async ({ value }) => {
            await setKey(value);
          }),
          disabled: !form.formState.isValid || !form.formState.isDirty,
          children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoading: isSettingKey, isLoadingText: "Saving", children: "Save" })
        }
      )
    ] }) })
  ] });
};

// src/components/databrowser/components/display/index.tsx

var DataDisplay = () => {
  const { selectedKey } = useTab();
  const { query } = useKeys();
  const type = useKeyType(selectedKey);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "h-full p-4", children: !selectedKey ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", {}) : !type ? query.isLoading ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex h-full items-center justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "text-gray-500", children: "Loading..." }) }) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", {}) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children: type === "string" || type === "json" ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, EditorDisplay, { dataKey: selectedKey, type }) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ListDisplay, { dataKey: selectedKey, type }) }) });
};

// src/components/databrowser/components/sidebar/index.tsx


// src/components/databrowser/components/add-key-modal.tsx

var _reactdialog = require('@radix-ui/react-dialog'); var DialogPrimitive = _interopRequireWildcard(_reactdialog);



// src/components/ui/dialog.tsx



var Dialog = DialogPrimitive.Root;
var DialogTrigger = DialogPrimitive.Trigger;
var DialogPortal = (props) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DialogPrimitive.Portal, { container: portalRoot, ...props });
DialogPortal.displayName = DialogPrimitive.Portal.displayName;
var DialogOverlay = React12.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DialogPrimitive.Overlay,
  {
    ref,
    className: cn(
      "data-[state=open]:animate-in data-[state=closed]:animate-out",
      "data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      "fixed inset-0 z-50 bg-black/50 backdrop-blur-sm",
      className
    ),
    ...props
  }
));
DialogOverlay.displayName = DialogPrimitive.Overlay.displayName;
var DialogContent = React12.forwardRef(({ className, children, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, DialogPortal, { children: [
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DialogOverlay, {}),
  /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    DialogPrimitive.Content,
    {
      ref,
      className: cn(
        "antialiased",
        "data-[state=open]:animate-in data-[state=closed]:animate-out ",
        "data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 ",
        "data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 ",
        "data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%]",
        "data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%]",
        "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg ",
        "translate-x-[-50%] translate-y-[-50%] gap-4",
        "bg-white p-6 shadow-lg duration-200 ",
        "sm:rounded-lg md:w-full",
        className
      ),
      ...props,
      children: [
        children,
        /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, DialogPrimitive.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-white transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-zinc-950 focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-zinc-100 data-[state=open]:text-zinc-500 dark:ring-offset-zinc-950 dark:focus:ring-zinc-300 dark:data-[state=open]:bg-zinc-800 dark:data-[state=open]:text-zinc-400", children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            "svg",
            {
              width: "15",
              height: "15",
              viewBox: "0 0 15 15",
              fill: "none",
              xmlns: "http://www.w3.org/2000/svg",
              className: "h-4 w-4",
              children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                "path",
                {
                  d: "M11.7816 4.03157C12.0062 3.80702 12.0062 3.44295 11.7816 3.2184C11.5571 2.99385 11.193 2.99385 10.9685 3.2184L7.50005 6.68682L4.03164 3.2184C3.80708 2.99385 3.44301 2.99385 3.21846 3.2184C2.99391 3.44295 2.99391 3.80702 3.21846 4.03157L6.68688 7.49999L3.21846 10.9684C2.99391 11.193 2.99391 11.557 3.21846 11.7816C3.44301 12.0061 3.80708 12.0061 4.03164 11.7816L7.50005 8.31316L10.9685 11.7816C11.193 12.0061 11.5571 12.0061 11.7816 11.7816C12.0062 11.557 12.0062 11.193 11.7816 10.9684L8.31322 7.49999L11.7816 4.03157Z",
                  fill: "currentColor",
                  fillRule: "evenodd",
                  clipRule: "evenodd"
                }
              )
            }
          ),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "sr-only", children: "Close" })
        ] })
      ]
    }
  )
] }));
DialogContent.displayName = DialogPrimitive.Content.displayName;
var DialogHeader = ({ className, ...props }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: cn("flex flex-col space-y-1.5 text-center sm:text-left", className), ...props });
DialogHeader.displayName = "DialogHeader";
var DialogFooter = ({ className, ...props }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  "div",
  {
    className: cn("flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2", className),
    ...props
  }
);
DialogFooter.displayName = "DialogFooter";
var DialogTitle = React12.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DialogPrimitive.Title,
  {
    ref,
    className: cn("text-lg font-semibold leading-none tracking-tight", className),
    ...props
  }
));
DialogTitle.displayName = DialogPrimitive.Title.displayName;
var DialogDescription = React12.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
  DialogPrimitive.Description,
  {
    ref,
    className: cn("text-sm text-zinc-500 dark:text-zinc-400", className),
    ...props
  }
));
DialogDescription.displayName = DialogPrimitive.Description.displayName;

// src/components/databrowser/components/add-key-modal.tsx

function AddKeyModal() {
  const { setSelectedKey } = useTab();
  const [open, setOpen] = _react.useState.call(void 0, false);
  const { mutateAsync: addKey, isPending } = useAddKey();
  const { control, handleSubmit, formState, reset } = _reacthookform.useForm.call(void 0, {
    defaultValues: {
      key: "",
      type: "string"
    }
  });
  const onSubmit = handleSubmit(async ({ key, type }) => {
    await addKey({ key, type });
    setSelectedKey(key);
    setOpen(false);
    setTimeout(() => {
      _optionalChain([window, 'access', _45 => _45.document, 'access', _46 => _46.querySelector, 'call', _47 => _47(`[data-key="${key}"]`), 'optionalAccess', _48 => _48.scrollIntoView, 'call', _49 => _49({
        behavior: "smooth",
        block: "start",
        inline: "nearest"
      })]);
    }, 100);
  });
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    Dialog,
    {
      open,
      onOpenChange: (open2) => {
        if (open2) reset();
        setOpen(open2);
      },
      children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DialogTrigger, { asChild: true, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { variant: "primary", size: "icon-sm", "aria-label": "Add key", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacticons.PlusIcon, { className: "size-4" }) }) }),
        /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, DialogContent, { className: "max-w-[400px]", children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DialogHeader, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DialogTitle, { children: "Create new key" }) }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "sr-only", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactdialog.DialogDescription, { children: "Create new key" }) }),
          /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "form", { className: "mt-4", onSubmit, children: [
            /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex gap-1", children: [
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                _reacthookform.Controller,
                {
                  control,
                  name: "type",
                  render: ({ field }) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Select, { value: field.value, onValueChange: field.onChange, children: [
                    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectTrigger, { className: "h-8 w-auto pl-[3px] pr-8", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectValue, {}) }),
                    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectContent, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectGroup, { children: DATA_TYPES.map((type) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectItem, { value: type, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TypeTag, { variant: type, type: "badge" }) }, type)) }) })
                  ] })
                }
              ),
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                _reacthookform.Controller,
                {
                  rules: {
                    required: "Please enter a key"
                  },
                  control,
                  name: "key",
                  render: ({ field }) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Input, { placeholder: "mykey", ...field, className: "h-8 grow" })
                }
              )
            ] }),
            formState.errors.key && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "mb-3 mt-2 text-xs text-red-500", children: _optionalChain([formState, 'access', _50 => _50.errors, 'access', _51 => _51.key, 'optionalAccess', _52 => _52.message]) }),
            /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "mt-2 text-xs text-zinc-500", children: "After creating the key, you can edit the value" }),
            /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "mt-6 flex justify-end gap-2", children: [
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
                Button,
                {
                  type: "button",
                  variant: "outline",
                  onClick: () => {
                    setOpen(false);
                  },
                  children: "Cancel"
                }
              ),
              /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Button, { variant: "primary", type: "submit", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoading: isPending, isLoadingText: "Creating", children: "Create" }) })
            ] })
          ] })
        ] })
      ]
    }
  );
}

// src/components/databrowser/components/sidebar/empty.tsx

var Empty = () => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "flex h-full w-full items-center justify-center rounded-md border bg-white px-4 py-6 text-center", children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "space-y-5", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "text-md font-medium", children: "Data on a break" }),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "text-balance text-center", children: '"Quick, lure it back with some CLI magic!"' })
  ] }) });
};

// src/components/databrowser/components/sidebar-context-menu.tsx



var SidebarContextMenu = ({ children }) => {
  const { mutate: deleteKey } = useDeleteKey();
  const [isAlertOpen, setAlertOpen] = _react.useState.call(void 0, false);
  const [dataKey, setDataKey] = _react.useState.call(void 0, "");
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, _jsxruntime.Fragment, { children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      DeleteAlertDialog,
      {
        deletionType: "key",
        open: isAlertOpen,
        onOpenChange: setAlertOpen,
        onDeleteConfirm: (e) => {
          e.stopPropagation();
          deleteKey(dataKey);
          setAlertOpen(false);
        }
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, ContextMenu, { modal: false, children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        ContextMenuTrigger,
        {
          onContextMenu: (e) => {
            const el = e.target;
            const key = el.closest("[data-key]");
            if (key && key instanceof HTMLElement && key.dataset.key !== void 0) {
              setDataKey(key.dataset.key);
            } else {
              throw new Error("Key not found");
            }
          },
          children
        }
      ),
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, ContextMenuContent, { children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          ContextMenuItem,
          {
            onClick: () => {
              navigator.clipboard.writeText(dataKey);
              toast({
                description: "Key copied to clipboard"
              });
            },
            children: "Copy key"
          }
        ),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactcontextmenu.ContextMenuSeparator, {}),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, ContextMenuItem, { onClick: () => setAlertOpen(true), children: "Delete key" })
      ] })
    ] })
  ] });
};

// src/components/databrowser/components/sidebar/keys-list.tsx

var KeysList = () => {
  const { keys } = useKeys();
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SidebarContextMenu, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _jsxruntime.Fragment, { children: keys.map((data, i) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, KeyItem, { nextKey: _nullishCoalesce(_optionalChain([keys, 'access', _53 => _53.at, 'call', _54 => _54(i + 1), 'optionalAccess', _55 => _55[0]]), () => ( "")), data }, data[0])) }) });
};
var keyStyles = {
  string: "border-sky-400 !bg-sky-50 text-sky-900",
  hash: "border-amber-400 !bg-amber-50 text-amber-900",
  set: "border-indigo-400 !bg-indigo-50 text-indigo-900",
  zset: "border-pink-400  !bg-pink-50 text-pink-900",
  json: "border-purple-400 !bg-purple-50 text-purple-900",
  list: "border-orange-400 !bg-orange-50 text-orange-900",
  stream: "border-green-400 !bg-green-50 text-green-900"
};
var KeyItem = ({ data, nextKey }) => {
  const { selectedKey, setSelectedKey } = useTab();
  const [dataKey, dataType] = data;
  const isKeySelected = selectedKey === dataKey;
  const isNextKeySelected = selectedKey === nextKey;
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    Button,
    {
      "data-key": dataKey,
      variant: isKeySelected ? "default" : "ghost",
      className: cn(
        "relative flex h-10 w-full items-center justify-start gap-2 px-3 py-0 !ring-0 focus-visible:bg-zinc-50",
        "select-none border border-transparent text-left",
        isKeySelected && "shadow-sm",
        isKeySelected && keyStyles[dataType]
      ),
      onClick: () => setSelectedKey(dataKey),
      children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TypeTag, { variant: dataType, type: "icon" }),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "p", { className: "truncate whitespace-nowrap", children: dataKey }),
        !isKeySelected && !isNextKeySelected && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "absolute -bottom-px left-3 right-3 h-px bg-zinc-100" })
      ]
    }
  );
};

// src/components/databrowser/components/sidebar/search-input.tsx



var dedupeSearchHistory = (history) => {
  const seen = /* @__PURE__ */ new Set();
  return history.filter((item) => {
    if (!item || seen.has(item)) return false;
    seen.add(item);
    return true;
  });
};
var SearchInput = () => {
  const { setSearchKey, search } = useTab();
  const { searchHistory, addSearchHistory } = useDatabrowserStore();
  const [state, setState] = _react.useState.call(void 0, search.key);
  const [isFocus, setIsFocus] = _react.useState.call(void 0, false);
  const [focusedIndex, setFocusedIndex] = _react.useState.call(void 0, -1);
  const inputRef = _react.useRef.call(void 0, null);
  const historyItemRefs = _react.useRef.call(void 0, []);
  const handleSubmit = (value) => {
    if (value.trim() !== "" && !value.includes("*")) value = `${value}*`;
    addSearchHistory(value);
    setSearchKey(value);
    setState(value);
  };
  const filteredHistory = dedupeSearchHistory(
    searchHistory.filter((item) => item.includes(state) && item !== state)
  ).slice(0, 5).map((item) => item.endsWith("*") ? item.slice(0, -1) : item);
  _react.useEffect.call(void 0, () => {
    setFocusedIndex(-1);
  }, [filteredHistory.length]);
  const handleKeyDown = (e) => {
    if (e.key === "Enter") {
      const text = focusedIndex >= 0 && focusedIndex < filteredHistory.length ? filteredHistory[focusedIndex] : e.currentTarget.value;
      handleSubmit(text);
    } else if (e.key === "Escape") {
      setState("");
      setFocusedIndex(-1);
      _optionalChain([inputRef, 'access', _56 => _56.current, 'optionalAccess', _57 => _57.blur, 'call', _58 => _58()]);
    } else if (e.key === "ArrowDown" || e.key === "Tab" && !e.shiftKey) {
      e.preventDefault();
      if (focusedIndex < filteredHistory.length - 1) {
        setFocusedIndex(focusedIndex + 1);
      } else if (filteredHistory.length > 0) {
        setFocusedIndex(0);
      }
    } else if (e.key === "ArrowUp" || e.key === "Tab" && e.shiftKey) {
      e.preventDefault();
      if (focusedIndex > 0) {
        setFocusedIndex(focusedIndex - 1);
      } else if (filteredHistory.length > 0 && focusedIndex === 0) {
        setFocusedIndex(-1);
        _optionalChain([inputRef, 'access', _59 => _59.current, 'optionalAccess', _60 => _60.focus, 'call', _61 => _61()]);
      } else if (filteredHistory.length > 0) {
        setFocusedIndex(filteredHistory.length - 1);
      }
    }
  };
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "relative grow", children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, Popover, { open: isFocus && filteredHistory.length > 0, children: [
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, PopoverTrigger, { asChild: true, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        Input,
        {
          ref: inputRef,
          placeholder: "Search",
          className: "rounded-l-none border-zinc-300 font-normal",
          onKeyDown: handleKeyDown,
          onChange: (e) => {
            setState(e.currentTarget.value);
            if (e.currentTarget.value.trim() === "") handleSubmit("");
          },
          value: state,
          onFocus: () => {
            setIsFocus(true);
            setFocusedIndex(-1);
          },
          onBlur: () => setIsFocus(false)
        }
      ) }) }),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        PopoverContent,
        {
          className: "w-[--radix-popover-trigger-width] divide-y px-3 py-2 text-[13px] text-zinc-900",
          autoFocus: false,
          onOpenAutoFocus: (e) => {
            e.preventDefault();
            e.stopPropagation();
          },
          children: filteredHistory.map((item, index) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "w-full py-[3px]", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            "button",
            {
              ref: (el) => {
                historyItemRefs.current[index] = el;
              },
              onClick: () => handleSubmit(item),
              onMouseEnter: () => setFocusedIndex(index),
              className: `block w-full truncate rounded-sm p-1 text-left transition-colors ${focusedIndex === index ? "bg-zinc-100" : "hover:bg-zinc-100"}`,
              children: item
            }
          ) }, item))
        }
      )
    ] }),
    state && /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
      Button,
      {
        type: "button",
        variant: "link",
        size: "icon",
        className: "absolute right-1 top-1/2 h-5 w-5 -translate-y-1/2 text-gray-500 hover:text-gray-900 dark:text-gray-400 dark:hover:text-gray-100",
        onClick: () => {
          setSearchKey("");
          setState("");
        },
        children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconX, { size: 16 }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { className: "sr-only", children: "Clear" })
        ]
      }
    ),
    " "
  ] });
};

// src/components/databrowser/components/sidebar/skeleton-buttons.tsx

var DEFAULT_SKELETON_COUNT = 6;
var LoadingSkeleton = () => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "block h-full w-full rounded-lg border border-zinc-200 bg-white p-1 pr-3 transition-all", children: Array.from({ length: DEFAULT_SKELETON_COUNT }).fill(0).map((_, idx) => /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-10 items-center gap-2 px-3", children: [
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "size-5 shrink-0 rounded" }),
  /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "h-4 grow rounded" })
] }, idx)) });

// src/components/databrowser/components/sidebar/type-selector.tsx

var ALL_TYPES_KEY = "all";
function DataTypeSelector() {
  const { search, setSearchType } = useTab();
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    Select,
    {
      onValueChange: (type) => {
        if (type === ALL_TYPES_KEY) {
          setSearchType(void 0);
        } else {
          setSearchType(type);
        }
      },
      value: search.type === void 0 ? ALL_TYPES_KEY : search.type,
      children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectTrigger, { className: "!w-auto select-none whitespace-nowrap rounded-r-none border-r-0 border-zinc-300 pr-8", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectValue, {}) }),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectContent, { children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectGroup, { children: [[ALL_TYPES_KEY, "All Types"], ...Object.entries(DATA_TYPE_NAMES)].map(
          ([key, value]) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SelectItem, { value: key, children: value }, key)
        ) }) })
      ]
    }
  );
}

// src/components/databrowser/components/sidebar/index.tsx

function Sidebar() {
  const { keys, query } = useKeys();
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-full flex-col gap-2 p-4", children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "rounded-lg bg-zinc-100", children: [
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-10 items-center justify-between pl-1", children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DisplayDbSize, {}),
        /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex gap-1", children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
            Button,
            {
              "aria-label": "Refresh",
              className: "h-7 w-7 px-0",
              onClick: () => {
                queryClient.invalidateQueries({
                  queryKey: [FETCH_KEYS_QUERY_KEY]
                });
                queryClient.invalidateQueries({
                  queryKey: [FETCH_LIST_ITEMS_QUERY_KEY]
                });
                queryClient.invalidateQueries({
                  queryKey: [FETCH_SIMPLE_KEY_QUERY_KEY]
                });
                queryClient.invalidateQueries({
                  queryKey: [FETCH_DB_SIZE_QUERY_KEY]
                });
                queryClient.invalidateQueries({
                  queryKey: [FETCH_KEY_TYPE_QUERY_KEY]
                });
              },
              children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Spinner, { isLoading: query.isFetching, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconRefresh, { size: 16 }) })
            }
          ),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, AddKeyModal, {})
        ] })
      ] }),
      /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "flex h-10 items-center", children: [
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DataTypeSelector, {}),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SearchInput, {})
      ] })
    ] }),
    query.isLoading && keys.length === 0 ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, LoadingSkeleton, {}) : keys.length > 0 ? (
      // Infinite scroll already has a loader at the bottom
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, InfiniteScroll, { query, disableRoundedInherit: true, className: "min-h-0", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, KeysList, {}) })
    ) : /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Empty, {})
  ] });
}

// src/components/databrowser/components/databrowser-instance.tsx

var DatabrowserInstance = ({ hidden }) => {
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, KeysProvider, { children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: cn("min-h-0 grow rounded-md bg-zinc-100", hidden && "hidden"), children: [
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
      _reactresizablepanels.PanelGroup,
      {
        autoSaveId: "persistence",
        direction: "horizontal",
        className: "h-full w-full gap-0.5 text-sm antialiased",
        children: [
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactresizablepanels.Panel, { defaultSize: 30, minSize: 30, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Sidebar, {}) }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactresizablepanels.PanelResizeHandle, { className: "group flex h-full w-3 justify-center", children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "h-full border-r border-dashed border-zinc-200 transition-colors group-hover:border-zinc-500" }) }),
          /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactresizablepanels.Panel, { minSize: 40, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DataDisplay, {}) })
        ]
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Toaster, {})
  ] }) });
};

// src/components/databrowser/components/databrowser-tabs.tsx


// src/components/databrowser/components/tab.tsx


// src/components/databrowser/components/tab-type-icon.tsx

function TabTypeIcon({ selectedKey }) {
  const { data: keyType, isLoading } = useFetchKeyType(selectedKey);
  if (isLoading) return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Skeleton, { className: "h-5 w-5 rounded" });
  if (!keyType || keyType === "none") return;
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TypeTag, { variant: keyType, type: "icon" });
}

// src/hooks/use-overflow.ts

var useOverflow = () => {
  const [isOverflow, setIsOverflow] = _react.useState.call(void 0, false);
  const observerRef = _react.useRef.call(void 0, null);
  const ref = _react.useCallback.call(void 0, (node) => {
    if (observerRef.current) {
      observerRef.current.disconnect();
      observerRef.current = null;
    }
    if (!node) return;
    observerRef.current = new ResizeObserver((entries) => {
      const el = _optionalChain([entries, 'access', _62 => _62.at, 'call', _63 => _63(0), 'optionalAccess', _64 => _64.target]);
      if (!el) return;
      setIsOverflow(el.scrollWidth > el.clientWidth);
    });
    observerRef.current.observe(node);
  }, []);
  _react.useEffect.call(void 0, () => {
    return () => {
      _optionalChain([observerRef, 'access', _65 => _65.current, 'optionalAccess', _66 => _66.disconnect, 'call', _67 => _67()]);
    };
  }, []);
  return { ref, isOverflow };
};

// src/components/databrowser/components/tab.tsx

var Tab = ({ id }) => {
  const { active, search, selectedKey } = useTab();
  const { selectTab, removeTab, tabs } = useDatabrowserStore();
  const { ref, isOverflow } = useOverflow();
  const label = search.key || selectedKey;
  const iconNode = search.key ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconSearch, { size: 15 }) : selectedKey ? /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TabTypeIcon, { selectedKey }) : void 0;
  const tabNode = /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    "div",
    {
      onClick: () => selectTab(id),
      className: cn(
        "flex h-9 cursor-pointer items-center gap-2 rounded-t-lg border border-zinc-200 px-3 text-[13px] transition-colors",
        active ? "border-b-white bg-white text-zinc-900" : "bg-zinc-100 hover:bg-zinc-50"
      ),
      children: [
        iconNode,
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "span", { ref, className: "max-w-32 truncate whitespace-nowrap", children: label || "New Tab" }),
        tabs.length > 1 && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
          "button",
          {
            onClick: (e) => {
              e.stopPropagation();
              removeTab(id);
            },
            className: "p-1 text-zinc-300 transition-colors hover:text-zinc-500",
            children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconX, { size: 16 })
          }
        )
      ]
    }
  );
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, SimpleTooltip, { content: isOverflow ? label : void 0, children: tabNode });
};

// src/components/databrowser/components/databrowser-tabs.tsx

var DatabrowserTabs = () => {
  const { tabs, addTab } = useDatabrowserStore();
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "relative mb-2 shrink-0", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "div", { className: "absolute bottom-0 left-0 right-0 -z-10 h-[1px] w-full bg-zinc-200" }),
    /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "scrollbar-hide flex translate-y-[1px] items-center gap-1 overflow-x-scroll pb-[1px] [&::-webkit-scrollbar]:hidden", children: [
      tabs.map(([id]) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TabIdProvider, { value: id, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, Tab, { id }) }, id)),
      /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
        Button,
        {
          variant: "secondary",
          size: "icon-sm",
          onClick: addTab,
          className: "mr-1 flex-shrink-0",
          title: "Add new tab",
          children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _iconsreact.IconPlus, { className: "text-zinc-500", size: 16 })
        }
      )
    ] })
  ] });
};

// src/components/databrowser/index.tsx

var RedisBrowser = ({
  token,
  url,
  hideTabs,
  storage
}) => {
  const credentials = _react.useMemo.call(void 0, () => ({ token, url }), [token, url]);
  _react.useEffect.call(void 0, () => {
    queryClient.resetQueries();
  }, [credentials.url]);
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reactquery.QueryClientProvider, { client: queryClient, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, RedisProvider, { redisCredentials: credentials, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DatabrowserProvider, { storage, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _reacttooltip.TooltipProvider, { children: /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, 
    "div",
    {
      className: "ups-db",
      style: { height: "100%", display: "flex", flexDirection: "column" },
      children: [
        !hideTabs && /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DatabrowserTabs, {}),
        /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DatabrowserInstances, {})
      ]
    }
  ) }) }) }) });
};
var DatabrowserInstances = () => {
  const { tabs, selectedTab, addTab } = useDatabrowserStore();
  _react.useEffect.call(void 0, () => {
    if (tabs.length === 0) addTab();
  }, [tabs]);
  return tabs.map(([id]) => /* @__PURE__ */ _jsxruntime.jsx.call(void 0, TabIdProvider, { value: id, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, DatabrowserInstance, { hidden: id !== selectedTab }) }, id));
};


exports.RedisBrowser = RedisBrowser;
